<?php

 // THIS FILE IS PART OF WEBMATIC3 (Webmatic cube)
 // www.valarsoft.com

 defined('WM3_cEXEC') or die('Denied');

 class wm3Guestbook
  {

   function __construct() { }

   public static function getGuestbookMessageFieldsArray()
    {
     return array('messageID','name','email','countryID','message','enabled','languageID','ts','guestbookID');
    }

   public static function executeHomeAction($w3,$pageID)
    {
     // Guestbook page content
     switch($w3->getAction())
      {
       case WM3_cACTION_ADD_GUESTBOOK_MESSAGE:
        {
         return wm3Guestbook::addGuestbookMessage($w3);
         break;
        }
       case WM3_cACTION_SAVE_GUESTBOOK_MESSAGE:
        {
         $error = wm3Guestbook::checkGuestbookMessageError($w3);
         if(!$error)
          {
           $lastID = wm3Guestbook::saveGuestbookMessage($w3);
           return wm3Guestbook::getGuestbookMessageList($w3,$lastID);
          }
         else return wm3Guestbook::addGuestbookMessage($w3,$error);
         break;
        }
/*     case WM3_cACTION_SAVE_USER_REGISTRATION:
        {
         $error = wm3User::checkUserRegistrationError($w3);
         if(!$error)
          {
           $lastID = wm3User::saveUserRegistration($w3);
           // $msg= page saved... //TODO
           if($lastID) return wm3User::completeUserRegistration($w3,$lastID);
           else        return "Errore di registrazione o cosa???"; // ???
          }
         else return wm3User::addUserRegistration($w3,$error);
         break;
        }*/
       case WM3_cACTION_DELETE_GUESTBOOK_MESSAGE:
        {
		 // Only an administrator can delete from guestbook
		 if($w3->getAuthenticateAdminID()) wm3Guestbook::deleteGuestbookMessage($w3->getVariable('messageID','get'));
         return wm3Guestbook::getGuestbookMessageList($w3,0,false);
         break;
        }
       case WM3_cACTION_DELETE_ALL_GUESTBOOK_MESSAGE:
        {
		 // Only an administrator can reset guestbook
         if($w3->getAuthenticateAdminID()) wm3Guestbook::deleteGuestbookMessage(0,true);
         return wm3Guestbook::getGuestbookMessageList($w3,0,false);
         break;
        }
       default:
        {
         return wm3Guestbook::getGuestbookMessageList($w3,0,false);
        }
      }     
    }

   public static function getGuestbookMessageList($w3,$currentID = 0,$admin = true)
    {
     // Get link list (admin and home side)

     // Prepare variables to create the list
     $max_page_items = 12;
	 //$allowed = wm3User::checkAdminPermission($w3,WM3_cSECTION_LINKS); // Used to enable admin buttons in home stage
	 $allowed = $w3->getAuthenticateAdminID(); // Used to enable admin buttons in home stage
     $categoryID = $w3->getVariable('categoryID','both');
     if($categoryID) $query_filter = " AND ".WM3_cCONFIG_DB_PREFIX."_links.categoryID = '$categoryID'"; else $query_filter = "";
     $filter = $w3->getVariable('filter','both'); // Search field
     $pg     = $w3->getVariable('pg','both');
     if($filter) {
     	          $search_link   = "&filter=$filter";
     	          $query_filter .= " AND ".WM3_cCONFIG_DB_PREFIX."_links.description LIKE '%$filter%'";
     	         }
     else        { /*if(!$categoryID) $query_filter =" AND 1=0";*/ $search_link = ""; }
     if($pg)     $extra_link  = "&pg=$pg"; else $extra_link = "";

     $pageID = $w3->getVariable('pageID','both');
     $page_link        = "&pageID=$pageID";
     $search_form_link = WM3_cCONFIG_HOME_FILE."?action=".WM3_cACTION_SHOW_LINK."$page_link";
     $base_link        = WM3_cCONFIG_HOME_FILE."?stage=".$w3->getStage()."&section=".$w3->getSection();
     $query_filter .= " WHERE enabled = '".WM3_cENABLED."'";
     if($allowed) { $columns = 5; $buttons = 1; } else { $columns = 4; $buttons = 0; }
     $id_link = "";//&categoryID=$categoryID";

     // Do the query and take the total items number
     $query = "SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_guestbooks_messages
               $query_filter";
     $rs = wm3Sql::sqlQuery($query); // Do the query without "limit"
     $total_items = mysql_num_rows($rs);
     if($total_items != 0) $rs = wm3Sql::sqlQuery($query."ORDER BY ts DESC LIMIT ".($pg*$max_page_items).",$max_page_items");

     // Create list header
     $_CONTENTS = array();
	 $_SEP = $w3->getSkinObj()->getSeparator();
//     require(WM3_cPATH_INCLUDE."admin_link_search_form.inc");     
     array_push($_CONTENTS,"<a href=\"$base_link$page_link\">".$w3->getWord(1147)."</a> ($total_items)");
	 array_push($_CONTENTS," $_SEP ".wm3Util::actionButton($base_link.$page_link."&action=".WM3_cACTION_ADD_GUESTBOOK_MESSAGE,"action_add.png","","",$w3->getWord(1145),0,16,16)." ");
	 if($allowed) array_push($_CONTENTS," $_SEP ".wm3Util::actionButton($base_link.$page_link."&action=".WM3_cACTION_DELETE_ALL_GUESTBOOK_MESSAGE,"action_delete.png","",$w3->getWord(1140),$w3->getWord(1144),0,16,16)." ");
//     $str = wm3Section::makeHeaderList($w3,$_CONTENTS,$columns,$search_form);
	 $str = wm3Section::makeHeaderList($w3,$_CONTENTS,$columns);

     // Create list caption
     if($admin) $str .= wm3Section::makeCaptionList($w3,array(0,20,20,60,0),array(194,1671,100,100),$buttons);

     // Check if there are any items (and exit with a message if there are 0 items)
     if($total_items == 0) return $str.wm3Section::makeEmptyItemsList($w3,$columns,593);

     // Create list items
     $p = 0;
     while($row = mysql_fetch_object($rs))
      {
       $_CONTENTS = array(); $_WIDTHS = array();
       $link = $base_link.$id_link.$search_link.$extra_link.$page_link."&messageID=$row->messageID";
       /*if($categoryID) {
                        if($admin) array_push($_CONTENTS,"<a href=\"$row->url\" target=\"_blank\">$title</a>");
                        else       array_push($_CONTENTS,"<a href=\"$row->url\" target=\"_blank\">$title</a><br>$row->description");
                       }
       else            {
       	                // For the search in all categories
                        if($admin) array_push($_CONTENTS,"<a href=\"$row->url\" target=\"_blank\">$title</a><br>(".$w3->getWord(659)." <a href=\"".$link."&categoryID=$row->categoryID&action=".WM3_cACTION_SHOW_LINK."\">".wm3Guestbook::getGuestbookCategoryName($w3,$row->categoryID)."</a>)");
                        else       array_push($_CONTENTS,"<a href=\"$row->url\" target=\"_blank\">$title</a> (".$w3->getWord(659)." <a href=\"".$link.$page_link."&categoryID=$row->categoryID&action=".WM3_cACTION_SHOW_LINK."\">".wm3Guestbook::getGuestbookCategoryName($w3,$row->categoryID)."</a>)<br>$row->description");
       
                       }*/
       $country_flag = WM3_cPATH_FLAGS.wm3Statistic::getCountryFlag($row->countryID);
       $country_name = wm3Statistic::getCountryName($w3,$row->countryID);
       $flag = "<img src=\"$country_flag\" width=\"20\" height=\"13\" align=\"middle\" alt=\"$country_name\" title=\"$country_name\">";
       $name = wm3Util::renderContent($w3,$row->name,WM3_cRENDER_MODE_PLAIN_TEXT);
       $email = "<a href=\"mailto:$row->email\" target=\"_blank\">$row->email</a>";
       $message = wm3Util::renderContent($w3,$row->message,WM3_cRENDER_MODE_PLAIN_TEXT);
       array_push($_CONTENTS,$flag,$name,$email,$message);
       array_push($_WIDTHS,0,20,20,60,0);
       // Buttons
       if($allowed) array_push($_CONTENTS,wm3Util::actionButton("$link&action=".WM3_cACTION_DELETE_GUESTBOOK_MESSAGE,"action_delete.png",$w3->getWord(179),$w3->getWord(699)));
       $str .= wm3Section::makeItemList($w3,$p,$_WIDTHS,$_CONTENTS,$row->messageID==$currentID);
       $p++;
      }

     // Create list bottom
     $bottom_content = "";
     if($total_items > $max_page_items)
      {
       $bottom_content = wm3Util::makePagesNavigator($total_items,$max_page_items,$pg,$base_link.$page_link."&action=".WM3_cACTION_SHOW_LINK.$id_link.$search_link);
      }
     $str .= wm3Section::makeBottomList($w3,$columns,$bottom_content);

     return $str;
    }

   public static function checkGuestbookMessageError($w3)
    {
     // Check form invalid inputs
     $_FIELD = webmatic3::getPostValueArray(wm3Guestbook::getGuestbookMessageFieldsArray());
     if(!$_FIELD['name'])                                 return 1;
	 if(!wm3Util::isEmail($_FIELD['email']))              return 2;	 
     if(!$_FIELD['message'])                              return 3;
     return 0;
    }

   public static function addGuestbookMessage($w3,$error = 0)
    {
     // Take variables value and set correct form style    
     $_STYLE = wm3Skin::getFormStyleArray(wm3Guestbook::getGuestbookMessageFieldsArray());
     $_FIELD = webmatic3::getPostValueArray(wm3Guestbook::getGuestbookMessageFieldsArray());
     // Fields for paging default value
     $pg = $filter = ""; 
     switch($error)
      {
       case 1: // No name
        {
         $_STYLE['name']           = "class=\"adminFormError\"";
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitleError\"";
         $form_title = "Error $error";//$w3->getWord(29);
         break;
        }
       case 2: // Invalid email
        {
         $_STYLE['email']          = "class=\"adminFormError\"";
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitleError\"";
         $form_title = "Error $error";//$w3->getWord(29);
         break;
        }
       case 3: // No message
        {
         $_STYLE['message']        = "class=\"adminFormError\"";
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitleError\"";
         $form_title = "Error $error";//$w3->getWord(29);
         break;
        }
       default:
        {
         // Default values for the form
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitle\"";
         $form_title = $w3->getWord(351);
       	}
      }
     $_FIELD['pageID'] = $w3->getVariable('pageID','both'); // Take pageID from both
     $next_action       = WM3_cACTION_SAVE_GUESTBOOK_MESSAGE;
     $next_action_label = $w3->getWord(191);
     require(WM3_cPATH_INCLUDE."home_guestbook_message_form.inc");
     return $home_content;
    }

   /*public static function editGuestbook($w3,$error = 0)
    {
     // Take variables value from db and set correct form style
     if(!$error)
      {
       $rs = wm3Sql::sqlQuery("SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_links
                               WHERE linkID = '".$w3->getVariable('linkID','get')."'");
       $row = mysql_fetch_object($rs);
       $_FIELD = webmatic3::getRowValueArray(wm3Guestbook::getGuestbookFieldsArray(),$row);
       // Default value for fields not in $row object
      }
     else $_FIELD = webmatic3::getPostValueArray(wm3Guestbook::getGuestbookFieldsArray());

     $_STYLE = wm3Skin::getFormStyleArray(wm3Guestbook::getGuestbookFieldsArray());
     $pg     = $w3->getVariable('pg','both');
     $filter = $w3->getVariable('filter','both');
     switch($error)
      {
       case 1: // No url or bad url
        {
         $_STYLE['url']            = "class=\"adminFormError\"";
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitleError\"";
         $form_title = "Error $error";//$w3->getWord(29);
         break;
        }
       default:
        {
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitle\"";
         $form_title = "Edit link ...."; //$w3->getWord(29);
       	}
      }
     $next_action       = WM3_cACTION_UPDATE_LINK;
     $next_action_label = $w3->getWord(29);
     require(WM3_cPATH_INCLUDE."admin_link_form.inc");
     return $admin_content;
    }*/

   public static function saveGuestbookMessage($w3)
    {
	 $lastID = 0;
     if(wm3Session::actionAllowed($w3->getVariable('_ID','post')))
      {
       wm3Session::protectAction($w3->getVariable('_ID','post'));

       $_FIELD = webmatic3::getPostValueArray(wm3Guestbook::getGuestbookMessageFieldsArray(),WM3_cQUOTE_DB);
       $_FIELD['guestbookID'] = '';
       $_FIELD['enabled']     = WM3_cENABLED;
	   $_FIELD['languageID']  = $w3->getHomeLanguage();
       $_FIELD['ts']          = time();
       wm3Sql::saveAllTableFields('_guestbooks_messages',$_FIELD);
      }
     return wm3Sql::getLastInsertID();
    }

/*   public static function updateGuestbook($w3)
    {
     $_FIELD = webmatic3::getPostValueArray(wm3Guestbook::getGuestbookFieldsArray(),WM3_cQUOTE_DB);
     wm3Sql::sqlQuery("UPDATE ".WM3_cCONFIG_DB_PREFIX."_links
                       SET url         = '".$_FIELD['url']."',
                           title       = '".$_FIELD['title']."',
                           categoryID  = '".$_FIELD['categoryID']."',
                           description = '".$_FIELD['description']."',
                           enabled    = '".$_FIELD['enabled']."',
                           languageID = '".$_FIELD['languageID']."'
                       WHERE linkID   = '".$_FIELD['linkID']."'");
     return $_FIELD['linkID'];
    }

   public static function selectGuestbook($name,$messageID)
    {
     // Make message categories select
     $rs = wm3Sql::sqlQuery("SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_messages");
     $str = "<select name=\"$name\">";
     while($row = mysql_fetch_object($rs))
      {
       if($row->messageID == $messageID) $str .= wm3Util::inputOption($row->arg_name,$row->arg_blockID,"selected");
       else                              $str .= wm3Util::inputOption($row->arg_name,$row->arg_blockID);
      }
     $str .= "</select>";
     return $str;
    }

   public static function disableGuestbookMessage($messageID)
    {
     wm3Sql::sqlQuery("UPDATE ".WM3_cCONFIG_DB_PREFIX."_guestbooks_messages SET enabled = '".WM3_cDISABLED."' WHERE messageID = '$messageID'");
    }

   public static function enableGuestbookMessage($messageID)
    {
     wm3Sql::sqlQuery("UPDATE ".WM3_cCONFIG_DB_PREFIX."_guestbooks_messages SET enabled = '".WM3_cENABLED."' WHERE messageID = '$messageID'");
    }*/
   
   public static function deleteGuestbookMessage($messageID,$all = false)
    {
     if($all) wm3Sql::sqlQuery("DELETE FROM ".WM3_cCONFIG_DB_PREFIX."_guestbooks_messages");
	 else     wm3Sql::sqlQuery("DELETE FROM ".WM3_cCONFIG_DB_PREFIX."_guestbooks_messages WHERE messageID = '$messageID'");
    }

  }

?>
