<?php

 // THIS FILE IS PART OF WEBMATIC3 (Webmatic cube)
 // www.valarsoft.com

 defined('WM3_cEXEC') or die('Denied');

 // Define starting time used for page generator time
 define('WM3_cSTART_TIME', wm3Util::microtimeFloat());

 // Initial php settings
 ini_set('magic_quotes_runtime', 0);
 ini_set('magic_quotes_sybase',  0);

 // Define all constants
 define('WM3_cVERSION',    '3.0.1');
 define('WM3_cDB_VERSION', '3.0');

 // Website languages constants
 define('WM3_cLANGUAGE_ALL', 0);
 define('WM3_cLANGUAGE_EN',  1);
 define('WM3_cLANGUAGE_IT',  2);
 define('WM3_cLANGUAGE_FR',  3);
 define('WM3_cLANGUAGE_DE',  4);
 define('WM3_cLANGUAGE_ES',  5);
 define('WM3_cLANGUAGE_NL',  6);

 // Website stage constants
 define('WM3_cSTAGE_HOME',            0);
 define('WM3_cSTAGE_USER',            1);
 define('WM3_cSTAGE_ADMIN',           2);
 define('WM3_cSTAGE_CHAT',            3);
 define('WM3_cSTAGE_RSS',             4);
 define('WM3_cSTAGE_BANNER_EXCHANGE', 5);

 // Website section constants
 define('WM3_cSECTION_HOME',          0);
 define('WM3_cSECTION_FAQ',           1);
 define('WM3_cSECTION_SEARCH_ENGINE', 2);
 define('WM3_cSECTION_MARKET',        3);
 define('WM3_cSECTION_BANNERS',       4);
 define('WM3_cSECTION_NEWS',          5);
 define('WM3_cSECTION_LINKS',         6);
 define('WM3_cSECTION_NEWSLETTER',    7);
 define('WM3_cSECTION_HOROSCOPE',     8);
 define('WM3_cSECTION_MESSAGES',      9);
 define('WM3_cSECTION_MENU_BARS',     10);
 define('WM3_cSECTION_PANELS',        11);
 define('WM3_cSECTION_CHANNELS',      12);
 define('WM3_cSECTION_USERS',         13);
 define('WM3_cSECTION_PAGES',         14);
 define('WM3_cSECTION_ECOMMERCE',     15);
 define('WM3_cSECTION_SURVEYS',       16);
 define('WM3_cSECTION_FORUMS',        17);
 define('WM3_cSECTION_DOWNLOADS',     18);
 define('WM3_cSECTION_DIRECTORIES',   19);
 define('WM3_cSECTION_MEDIA_ALBUMS',  20);
 define('WM3_cSECTION_PREFERENCES',   21);
 define('WM3_cSECTION_METATAGS',      22);
 define('WM3_cSECTION_FOLDERS',       23);
 define('WM3_cSECTION_WEBMAIL',       24);
 define('WM3_cSECTION_STATISTICS',    25);

 define('WM3_cSECTION_USER_MESSAGES',         100);
 define('WM3_cSECTION_USER_INFORMATIONS',     101);
 define('WM3_cSECTION_WEBMATIC_INFORMATIONS', 102);

 define('WM3_cSECTION_NEED_CONFIG_SYSTEM', 200);
 define('WM3_cSECTION_NEED_CONFIG_FILE',   201);
 define('WM3_cSECTION_NEED_DATABASE',      202);
 define('WM3_cSECTION_NEED_UPDATE',        203);
 define('WM3_cSECTION_NEED_USER',          204);
 
 // Website session constants
 define('WM3_cSESSION_HIT',   1);
 define('WM3_cSESSION_RATE',  2);
 define('WM3_cSESSION_VOTE',  3);
 define('WM3_cSESSION_CLICK', 4);
 
 // Website action constants
 define('WM3_cACTION_CHANGE_LANGUAGE',                          1);
 define('WM3_cACTION_SEARCH',                                   2);
 define('WM3_cACTION_SHOW_SINGLE_FAQ',                          3);
 define('WM3_cACTION_SHOW_SINGLE_DOWNLOAD',                     4);
 define('WM3_cACTION_GET_FILE_DOWNLOAD',                        5);
 define('WM3_cACTION_SHOW_SINGLE_NEWS',                         6);
 define('WM3_cACTION_PRINTABLE_SINGLE_NEWS',                    7);
 define('WM3_cACTION_NEWSLETTER',                               8);
 define('WM3_cACTION_SAVE_NEWS_COMMENT',                        9);
 define('WM3_cACTION_SHOW_SINGLE_ECOMMERCE_PRODUCT',           10);
 define('WM3_cACTION_PRINTABLE_SINGLE_ECOMMERCE_PRODUCT',      11);
 define('WM3_cACTION_INFORMATIONS_SINGLE_ECOMMERCE_PRODUCT',   12);
 define('WM3_cACTION_SEND_INFORMATIONS_SINGLE_ECOMMERCE_PRODUCT',   111112);
 define('WM3_cACTION_SEND_TO_FRIEND_SINGLE_ECOMMERCE_PRODUCT', 13);
 define('WM3_cACTION_SEND_SEND_TO_FRIEND_SINGLE_ECOMMERCE_PRODUCT', 111113);
 define('WM3_cACTION_SHOW_FORUM_DISCUSSIONS',                  14);
 define('WM3_cACTION_SHOW_FORUM_REPLIES',                      15);
 define('WM3_cACTION_ADD_FORUM_DISCUSSION',                    16);
 define('WM3_cACTION_SAVE_FORUM_DISCUSSION',                   17);
 define('WM3_cACTION_ADD_FORUM_REPLY',                         18);
 define('WM3_cACTION_SAVE_FORUM_REPLY',                        19);
 define('WM3_cACTION_ADD_FORUM_QUOTE',                         20);
 define('WM3_cACTION_SAVE_FORUM_QUOTE',                        21);
 define('WM3_cACTION_EDIT_FORUM_DISCUSSION',                   22);
 define('WM3_cACTION_UPDATE_FORUM_DISCUSSION',                 23);
 define('WM3_cACTION_LOCK_FORUM_DISCUSSION',                   24);
 define('WM3_cACTION_UNLOCK_FORUM_DISCUSSION',                 25);
 define('WM3_cACTION_DELETE_FORUM_DISCUSSION',                 26);
 define('WM3_cACTION_EDIT_FORUM_REPLY',                        27);
 define('WM3_cACTION_UPDATE_FORUM_REPLY',                      28);
 define('WM3_cACTION_DELETE_FORUM_REPLY',                      29);
 define('WM3_cACTION_SEARCH_FORUM',                            30); 
 define('WM3_cACTION_SAVE_USER_REGISTRATION',                  31);
 define('WM3_cACTION_ADD_GUESTBOOK_MESSAGE',                   32);
 define('WM3_cACTION_SAVE_GUESTBOOK_MESSAGE',                  33);
 define('WM3_cACTION_DELETE_GUESTBOOK_MESSAGE',                34);
 define('WM3_cACTION_DELETE_ALL_GUESTBOOK_MESSAGE',            35);
 define('WM3_cACTION_SURVEY_VOTE',                             36);
 define('WM3_cACTION_SURVEY_RESULTS',                          37);
 define('WM3_cACTION_NEWSLETTER_JOIN',                         38);
 define('WM3_cACTION_SHOW_SINGLE_MEDIA',                       39);
 define('WM3_cACTION_RATE_MEDIA_ALBUM_ITEM',                   40);
 define('WM3_cACTION_SHOW_MEDIA_ALBUM_ITEM_TOP_RATING',        41);
 define('WM3_cACTION_SHOW_DIRECTORY_ITEM_LAST_INSERTED',       42);
 define('WM3_cACTION_SEND_TO_FRIEND',                          43);
 define('WM3_cACTION_CONTACT',                                 44);
 define('WM3_cACTION_SHOW_SINGLE_ANNOUNCEMENT',                45);
 define('WM3_cACTION_RATE_DIRECTORY_ITEM',                     46);
 define('WM3_cACTION_SHOW_DIRECTORY_ITEM_TOP_RATING',          47);
 define('WM3_cACTION_SHOW_SINGLE_DIRECTORY_ITEM',              48);
 define('WM3_cACTION_CONSULT_HOROSCOPE',                       49);
 define('WM3_cACTION_RETRIEVE_PASSWORD',                       50);

 define('WM3_cACTION_SHOW_ECOMMERCE_CART',                     51);
 define('WM3_cACTION_PROCESS_ECOMMERCE_ORDER',                 52);
 define('WM3_cACTION_CONFIRM_ECOMMERCE_ORDER',                 53); 
 //define('WM3_cACTION_PAY_ECOMMERCE_ORDER',                     54);
 define('WM3_cACTION_ADD_ECOMMERCE_CART_ITEM',                 55); 
 define('WM3_cACTION_DELETE_ECOMMERCE_CART_ITEM',              56);

 define('WM3_cACTION_SEND_CHATROOM_SENTENCE',                  57);
 define('WM3_cACTION_JOIN_CHATROOM',                           58);
 define('WM3_cACTION_SHOW_CHATROOM_USER',                      59);
 define('WM3_cACTION_SHOW_CHATROOM_SENTENCE',                  60);
 define('WM3_cACTION_SHOW_RSS_CATEGORY',                       61);
 define('WM3_cACTION_SHOW_RSS_AUTHOR',                         62);
 define('WM3_cACTION_CLICK_BANNER_EXCHANGE',                   63);
 define('WM3_cACTION_LOGIN_WEBMAIL_SERVER',                    64);
 define('WM3_cACTION_LOGOUT_WEBMAIL_SERVER',                   65);
 define('WM3_cACTION_DELETE_WEBMAIL_SERVER_EMAIL',             66);
 define('WM3_cACTION_DELETE_MULTI_WEBMAIL_SERVER_EMAIL',       67);
 define('WM3_cACTION_READ_WEBMAIL_SERVER_EMAIL',               68);
 define('WM3_cACTION_SAVE_ATTACH_WEBMAIL_SERVER_EMAIL',        69);

 define('WM3_cACTION_LOGIN',                                    200);
 define('WM3_cACTION_LOGOUT',                                   201);
 define('WM3_cACTION_DISABLE_PANEL',                            202);
 define('WM3_cACTION_ENABLE_PANEL',                             203);
 define('WM3_cACTION_DELETE_PANEL',                             204);
 define('WM3_cACTION_ADD_PANEL',                                205);
 define('WM3_cACTION_SAVE_PANEL',                               206);
 define('WM3_cACTION_EDIT_PANEL',                               207);
 define('WM3_cACTION_UPDATE_PANEL',                             208);
 define('WM3_cACTION_SWAP_PANEL',                               209);
 define('WM3_cACTION_DISABLE_PAGE',                             210);
 define('WM3_cACTION_ENABLE_PAGE',                              211);
 define('WM3_cACTION_DELETE_PAGE',                              212);
 define('WM3_cACTION_ADD_PAGE',                                 213);
 define('WM3_cACTION_SAVE_PAGE',                                214);
 define('WM3_cACTION_EDIT_PAGE',                                215);
 define('WM3_cACTION_UPDATE_PAGE',                              216);
 define('WM3_cACTION_DUPLICATE_PAGE',                           217);
 define('WM3_cACTION_DISABLE_MENU_BAR_ITEM',                    218);
 define('WM3_cACTION_ENABLE_MENU_BAR_ITEM',                     219);
 define('WM3_cACTION_DELETE_MENU_BAR_ITEM',                     220);
 define('WM3_cACTION_ADD_MENU_BAR_ITEM',                        221);
 define('WM3_cACTION_SAVE_MENU_BAR_ITEM',                       222);
 define('WM3_cACTION_EDIT_MENU_BAR_ITEM',                       223);
 define('WM3_cACTION_UPDATE_MENU_BAR_ITEM',                     224);
 define('WM3_cACTION_SWAP_MENU_BAR_ITEM',                       225);
 define('WM3_cACTION_DISABLE_USER',                             226);
 define('WM3_cACTION_ENABLE_USER',                              227);
 define('WM3_cACTION_DELETE_USER',                              228);
 define('WM3_cACTION_ADD_USER',                                 229);
 define('WM3_cACTION_SAVE_USER',                                230);
 define('WM3_cACTION_EDIT_USER',                                231);
 define('WM3_cACTION_UPDATE_USER',                              232);
 define('WM3_cACTION_EDIT_PASSWORD_USER',                       233);
 define('WM3_cACTION_UPDATE_PASSWORD_USER',                     234);
 define('WM3_cACTION_DISABLE_GROUP',                            235);
 define('WM3_cACTION_ENABLE_GROUP',                             236);
 define('WM3_cACTION_DELETE_GROUP',                             237);
 define('WM3_cACTION_ADD_GROUP',                                238);
 define('WM3_cACTION_SAVE_GROUP',                               239);
 define('WM3_cACTION_EDIT_GROUP',                               240);
 define('WM3_cACTION_UPDATE_GROUP',                             241);
 define('WM3_cACTION_SHOW_GROUP',                               242);
 define('WM3_cACTION_DISABLE_MESSAGE',                          243);
 define('WM3_cACTION_ENABLE_MESSAGE',                           244);
 define('WM3_cACTION_DELETE_MESSAGE',                           245);
 define('WM3_cACTION_ADD_MESSAGE',                              246);
 define('WM3_cACTION_SAVE_MESSAGE',                             247);
 define('WM3_cACTION_EDIT_MESSAGE',                             248);
 define('WM3_cACTION_UPDATE_MESSAGE',                           249);
 define('WM3_cACTION_DUPLICATE_MESSAGE',                        250);
 define('WM3_cACTION_DISABLE_HOROSCOPE',                        251);
 define('WM3_cACTION_ENABLE_HOROSCOPE',                         252);
 define('WM3_cACTION_DELETE_HOROSCOPE',                         253);
 define('WM3_cACTION_ADD_HOROSCOPE',                            254);
 define('WM3_cACTION_SAVE_HOROSCOPE',                           255);
 define('WM3_cACTION_EDIT_HOROSCOPE',                           256);
 define('WM3_cACTION_UPDATE_HOROSCOPE',                         257);
 define('WM3_cACTION_DISABLE_QUOTE',                            258);
 define('WM3_cACTION_ENABLE_QUOTE',                             259);
 define('WM3_cACTION_DELETE_QUOTE',                             260);
 define('WM3_cACTION_ADD_QUOTE',                                261);
 define('WM3_cACTION_SAVE_QUOTE',                               262);
 define('WM3_cACTION_EDIT_QUOTE',                               263);
 define('WM3_cACTION_UPDATE_QUOTE',                             264);
 define('WM3_cACTION_SHOW_QUOTE',                               265);
 define('WM3_cACTION_DISABLE_NEWS_CATEGORY',                    266);
 define('WM3_cACTION_ENABLE_NEWS_CATEGORY',                     267);
 define('WM3_cACTION_DELETE_NEWS_CATEGORY',                     268);
 define('WM3_cACTION_ADD_NEWS_CATEGORY',                        269);
 define('WM3_cACTION_SAVE_NEWS_CATEGORY',                       270);
 define('WM3_cACTION_EDIT_NEWS_CATEGORY',                       271);
 define('WM3_cACTION_UPDATE_NEWS_CATEGORY',                     272);
 define('WM3_cACTION_SHOW_NEWS',                                273);
 define('WM3_cACTION_DISABLE_NEWS',                             274);
 define('WM3_cACTION_ENABLE_NEWS',                              275);
 define('WM3_cACTION_DELETE_NEWS',                              276);
 define('WM3_cACTION_ADD_NEWS',                                 277);
 define('WM3_cACTION_SAVE_NEWS',                                278);
 define('WM3_cACTION_EDIT_NEWS',                                279);
 define('WM3_cACTION_UPDATE_NEWS',                              280);
 define('WM3_cACTION_DUPLICATE_NEWS',                           281);
 define('WM3_cACTION_SHOW_NEWSLETTER_ITEM',                     282);
 define('WM3_cACTION_DISABLE_NEWSLETTER_ITEM',                  283);
 define('WM3_cACTION_ENABLE_NEWSLETTER_ITEM',                   284);
 define('WM3_cACTION_DELETE_NEWSLETTER_ITEM',                   285);
 define('WM3_cACTION_ADD_NEWSLETTER_ITEM',                      286);
 define('WM3_cACTION_SAVE_NEWSLETTER_ITEM',                     287);
 define('WM3_cACTION_EDIT_NEWSLETTER_ITEM',                     288);
 define('WM3_cACTION_UPDATE_NEWSLETTER_ITEM',                   289);
 define('WM3_cACTION_SHOW_NEWSLETTER',                          290);
 define('WM3_cACTION_WRITE_NEWSLETTER',                         291);
 define('WM3_cACTION_SEND_NEWSLETTER',                          292);
 define('WM3_cACTION_RESEND_NEWSLETTER',                        293);
 define('WM3_cACTION_DELETE_NEWSLETTER',                        294);
 define('WM3_cACTION_DISABLE_FAQ_CATEGORY',                     295);
 define('WM3_cACTION_ENABLE_FAQ_CATEGORY',                      296);
 define('WM3_cACTION_DELETE_FAQ_CATEGORY',                      297);
 define('WM3_cACTION_ADD_FAQ_CATEGORY',                         298);
 define('WM3_cACTION_SAVE_FAQ_CATEGORY',                        299);
 define('WM3_cACTION_EDIT_FAQ_CATEGORY',                        300);
 define('WM3_cACTION_UPDATE_FAQ_CATEGORY',                      301);
 define('WM3_cACTION_SHOW_FAQ',                                 302);
 define('WM3_cACTION_DISABLE_FAQ',                              303);
 define('WM3_cACTION_ENABLE_FAQ',                               304);
 define('WM3_cACTION_DELETE_FAQ',                               305);
 define('WM3_cACTION_ADD_FAQ',                                  306);
 define('WM3_cACTION_SAVE_FAQ',                                 307);
 define('WM3_cACTION_EDIT_FAQ',                                 308);
 define('WM3_cACTION_UPDATE_FAQ',                               309);
 define('WM3_cACTION_DISABLE_LINK_CATEGORY',                    310);
 define('WM3_cACTION_ENABLE_LINK_CATEGORY',                     311);
 define('WM3_cACTION_DELETE_LINK_CATEGORY',                     312);
 define('WM3_cACTION_ADD_LINK_CATEGORY',                        313);
 define('WM3_cACTION_SAVE_LINK_CATEGORY',                       314);
 define('WM3_cACTION_EDIT_LINK_CATEGORY',                       315);
 define('WM3_cACTION_UPDATE_LINK_CATEGORY',                     316);
 define('WM3_cACTION_SHOW_LINK',                                317);
 define('WM3_cACTION_DISABLE_LINK',                             318);
 define('WM3_cACTION_ENABLE_LINK',                              319);
 define('WM3_cACTION_DELETE_LINK',                              320);
 define('WM3_cACTION_ADD_LINK',                                 321);
 define('WM3_cACTION_SAVE_LINK',                                322);
 define('WM3_cACTION_EDIT_LINK',                                323);
 define('WM3_cACTION_UPDATE_LINK',                              324);
 define('WM3_cACTION_DISABLE_SEARCH_ENGINE_ITEM',               325);
 define('WM3_cACTION_ENABLE_SEARCH_ENGINE_ITEM',                326);
 define('WM3_cACTION_DELETE_SEARCH_ENGINE_ITEM',                327);
 define('WM3_cACTION_ADD_SEARCH_ENGINE_ITEM',                   328);
 define('WM3_cACTION_SAVE_SEARCH_ENGINE_ITEM',                  329);
 define('WM3_cACTION_EDIT_SEARCH_ENGINE_ITEM',                  330);
 define('WM3_cACTION_UPDATE_SEARCH_ENGINE_ITEM',                331);
 define('WM3_cACTION_DISABLE_ECOMMERCE_CATEGORY',               332);
 define('WM3_cACTION_ENABLE_ECOMMERCE_CATEGORY',                333);
 define('WM3_cACTION_DELETE_ECOMMERCE_CATEGORY',                334);
 define('WM3_cACTION_ADD_ECOMMERCE_CATEGORY',                   335); 
 define('WM3_cACTION_SAVE_ECOMMERCE_CATEGORY',                  336);
 define('WM3_cACTION_EDIT_ECOMMERCE_CATEGORY',                  337);
 define('WM3_cACTION_UPDATE_ECOMMERCE_CATEGORY',                338);
 define('WM3_cACTION_SHOW_ECOMMERCE_SUBCATEGORY',               339);
 define('WM3_cACTION_DISABLE_ECOMMERCE_SUBCATEGORY',            340);
 define('WM3_cACTION_ENABLE_ECOMMERCE_SUBCATEGORY',             341);
 define('WM3_cACTION_DELETE_ECOMMERCE_SUBCATEGORY',             342);
 define('WM3_cACTION_ADD_ECOMMERCE_SUBCATEGORY',                343);
 define('WM3_cACTION_SAVE_ECOMMERCE_SUBCATEGORY',               344);
 define('WM3_cACTION_EDIT_ECOMMERCE_SUBCATEGORY',               345);
 define('WM3_cACTION_UPDATE_ECOMMERCE_SUBCATEGORY',             346);
 define('WM3_cACTION_SHOW_ECOMMERCE_PRODUCT',                   347);
 define('WM3_cACTION_DISABLE_ECOMMERCE_PRODUCT',                348);
 define('WM3_cACTION_ENABLE_ECOMMERCE_PRODUCT',                 349);
 define('WM3_cACTION_DELETE_ECOMMERCE_PRODUCT',                 350);
 define('WM3_cACTION_ADD_ECOMMERCE_PRODUCT',                    351);
 define('WM3_cACTION_SAVE_ECOMMERCE_PRODUCT',                   352);
 define('WM3_cACTION_EDIT_ECOMMERCE_PRODUCT',                   353);
 define('WM3_cACTION_UPDATE_ECOMMERCE_PRODUCT',                 354);
 define('WM3_cACTION_SHOW_ECOMMERCE_PICTURE',                   355);
 define('WM3_cACTION_DISABLE_ECOMMERCE_PICTURE',                356);
 define('WM3_cACTION_ENABLE_ECOMMERCE_PICTURE',                 357);
 define('WM3_cACTION_DELETE_ECOMMERCE_PICTURE',                 358);
 define('WM3_cACTION_ADD_ECOMMERCE_PICTURE',                    359);
 define('WM3_cACTION_SAVE_ECOMMERCE_PICTURE',                   360);
 define('WM3_cACTION_EDIT_ECOMMERCE_PICTURE',                   361);
 define('WM3_cACTION_UPDATE_ECOMMERCE_PICTURE',                 362);
 define('WM3_cACTION_SHOW_ECOMMERCE_ORDER',                     363);
 define('WM3_cACTION_SHOW_ECOMMERCE_ORDER_ITEM',                364);
 define('WM3_cACTION_REJECT_ECOMMERCE_ORDER',                   365);
 define('WM3_cACTION_ACCEPT_ECOMMERCE_ORDER',                   366);
 define('WM3_cACTION_SEND_ECOMMERCE_ORDER',                     367);
 define('WM3_cACTION_WAIT_ECOMMERCE_ORDER',                     368);
 define('WM3_cACTION_DELETE_ECOMMERCE_ORDER',                   369);
 define('WM3_cACTION_PRINTABLE_ECOMMERCE_ORDER',                     11363);
 define('WM3_cACTION_DISABLE_SURVEY',                           370);
 define('WM3_cACTION_ENABLE_SURVEY',                            371);
 define('WM3_cACTION_DELETE_SURVEY',                            372);
 define('WM3_cACTION_ADD_SURVEY',                               373);
 define('WM3_cACTION_SAVE_SURVEY',                              374);
 define('WM3_cACTION_EDIT_SURVEY',                              375);
 define('WM3_cACTION_UPDATE_SURVEY',                            376);
 define('WM3_cACTION_RESET_SURVEY',                             377);
 define('WM3_cACTION_DISABLE_SURVEY_ITEM',                      378);
 define('WM3_cACTION_ENABLE_SURVEY_ITEM',                       379);
 define('WM3_cACTION_DELETE_SURVEY_ITEM',                       380);
 define('WM3_cACTION_ADD_SURVEY_ITEM',                          381);
 define('WM3_cACTION_SAVE_SURVEY_ITEM',                         382);
 define('WM3_cACTION_EDIT_SURVEY_ITEM',                         383);
 define('WM3_cACTION_UPDATE_SURVEY_ITEM',                       384);
 define('WM3_cACTION_RESET_SURVEY_ITEM',                        385);
 define('WM3_cACTION_SHOW_SURVEY_ITEM',                         386);
 define('WM3_cACTION_UPDATE_METATAG',                           387);
 define('WM3_cACTION_DISABLE_WEBMAIL_SERVER',                   388);
 define('WM3_cACTION_ENABLE_WEBMAIL_SERVER',                    389);
 define('WM3_cACTION_DELETE_WEBMAIL_SERVER',                    390);
 define('WM3_cACTION_ADD_WEBMAIL_SERVER',                       391);
 define('WM3_cACTION_SAVE_WEBMAIL_SERVER',                      392);
 define('WM3_cACTION_EDIT_WEBMAIL_SERVER',                      393);
 define('WM3_cACTION_UPDATE_WEBMAIL_SERVER',                    394);
 define('WM3_cACTION_DISABLE_CHANNEL_CATEGORY',                 395);
 define('WM3_cACTION_ENABLE_CHANNEL_CATEGORY',                  396);
 define('WM3_cACTION_DELETE_CHANNEL_CATEGORY',                  397);
 define('WM3_cACTION_ADD_CHANNEL_CATEGORY',                     398);
 define('WM3_cACTION_SAVE_CHANNEL_CATEGORY',                    399);
 define('WM3_cACTION_EDIT_CHANNEL_CATEGORY',                    400);
 define('WM3_cACTION_UPDATE_CHANNEL_CATEGORY',                  401);
 define('WM3_cACTION_SHOW_CHANNEL_SUBCATEGORY',                 402);
 define('WM3_cACTION_DISABLE_CHANNEL_SUBCATEGORY',              403);
 define('WM3_cACTION_ENABLE_CHANNEL_SUBCATEGORY',               404);
 define('WM3_cACTION_DELETE_CHANNEL_SUBCATEGORY',               405);
 define('WM3_cACTION_ADD_CHANNEL_SUBCATEGORY',                  406);
 define('WM3_cACTION_SAVE_CHANNEL_SUBCATEGORY',                 407);
 define('WM3_cACTION_EDIT_CHANNEL_SUBCATEGORY',                 408);
 define('WM3_cACTION_UPDATE_CHANNEL_SUBCATEGORY',               409);
 define('WM3_cACTION_SHOW_CHANNEL_BLOCK',                       410);
 define('WM3_cACTION_DISABLE_CHANNEL_BLOCK',                    411); 
 define('WM3_cACTION_ENABLE_CHANNEL_BLOCK',                     412); 
 define('WM3_cACTION_DELETE_CHANNEL_BLOCK',                     413);   
 define('WM3_cACTION_ADD_CHANNEL_BLOCK',                        414);
 define('WM3_cACTION_SAVE_CHANNEL_BLOCK',                       415);
 define('WM3_cACTION_EDIT_CHANNEL_BLOCK',                       416);
 define('WM3_cACTION_UPDATE_CHANNEL_BLOCK',                     417);
 define('WM3_cACTION_DISABLE_MARKET_CATEGORY',                  418);
 define('WM3_cACTION_ENABLE_MARKET_CATEGORY',                   419);
 define('WM3_cACTION_DELETE_MARKET_CATEGORY',                   420);
 define('WM3_cACTION_ADD_MARKET_CATEGORY',                      421);
 define('WM3_cACTION_SAVE_MARKET_CATEGORY',                     422);
 define('WM3_cACTION_EDIT_MARKET_CATEGORY',                     423);
 define('WM3_cACTION_UPDATE_MARKET_CATEGORY',                   424);
 define('WM3_cACTION_SHOW_MARKET_SUBCATEGORY',                  425);
 define('WM3_cACTION_DISABLE_MARKET_SUBCATEGORY',               426); 
 define('WM3_cACTION_ENABLE_MARKET_SUBCATEGORY',                427); 
 define('WM3_cACTION_DELETE_MARKET_SUBCATEGORY',                428);   
 define('WM3_cACTION_ADD_MARKET_SUBCATEGORY',                   429);
 define('WM3_cACTION_SAVE_MARKET_SUBCATEGORY',                  430);
 define('WM3_cACTION_EDIT_MARKET_SUBCATEGORY',                  431);
 define('WM3_cACTION_UPDATE_MARKET_SUBCATEGORY',                432);
 define('WM3_cACTION_SHOW_MARKET_ANNOUNCEMENT',                 433);
 define('WM3_cACTION_DISABLE_MARKET_ANNOUNCEMENT',              434);
 define('WM3_cACTION_ENABLE_MARKET_ANNOUNCEMENT',               435);
 define('WM3_cACTION_DELETE_MARKET_ANNOUNCEMENT',               436);
 define('WM3_cACTION_ADD_MARKET_ANNOUNCEMENT',                  437);
 define('WM3_cACTION_SAVE_MARKET_ANNOUNCEMENT',                 438);
 define('WM3_cACTION_EDIT_MARKET_ANNOUNCEMENT',                 439);
 define('WM3_cACTION_UPDATE_MARKET_ANNOUNCEMENT',               440);
 define('WM3_cACTION_DISABLE_DOWNLOAD_CATEGORY',                441);
 define('WM3_cACTION_ENABLE_DOWNLOAD_CATEGORY',                 442);
 define('WM3_cACTION_DELETE_DOWNLOAD_CATEGORY',                 443);
 define('WM3_cACTION_ADD_DOWNLOAD_CATEGORY',                    444);
 define('WM3_cACTION_SAVE_DOWNLOAD_CATEGORY',                   445);
 define('WM3_cACTION_EDIT_DOWNLOAD_CATEGORY',                   446);
 define('WM3_cACTION_UPDATE_DOWNLOAD_CATEGORY',                 447);
 define('WM3_cACTION_SHOW_DOWNLOAD_SUBCATEGORY',                448);
 define('WM3_cACTION_DISABLE_DOWNLOAD_SUBCATEGORY',             449);
 define('WM3_cACTION_ENABLE_DOWNLOAD_SUBCATEGORY',              450);
 define('WM3_cACTION_DELETE_DOWNLOAD_SUBCATEGORY',              451);
 define('WM3_cACTION_ADD_DOWNLOAD_SUBCATEGORY',                 452);
 define('WM3_cACTION_SAVE_DOWNLOAD_SUBCATEGORY',                453);
 define('WM3_cACTION_EDIT_DOWNLOAD_SUBCATEGORY',                454);
 define('WM3_cACTION_UPDATE_DOWNLOAD_SUBCATEGORY',              455);
 define('WM3_cACTION_DISABLE_DOWNLOAD',                         456);
 define('WM3_cACTION_ENABLE_DOWNLOAD',                          457);
 define('WM3_cACTION_DELETE_DOWNLOAD',                          458);
 define('WM3_cACTION_ADD_DOWNLOAD',                             459);
 define('WM3_cACTION_SAVE_DOWNLOAD',                            460);
 define('WM3_cACTION_EDIT_DOWNLOAD',                            461);
 define('WM3_cACTION_UPDATE_DOWNLOAD',                          462);
 define('WM3_cACTION_DUPLICATE_DOWNLOAD',                       463);
 define('WM3_cACTION_SHOW_DOWNLOAD',                            464);
 define('WM3_cACTION_DISABLE_FORUM_CATEGORY',                   465);
 define('WM3_cACTION_ENABLE_FORUM_CATEGORY',                    466);
 define('WM3_cACTION_DELETE_FORUM_CATEGORY',                    467);
 define('WM3_cACTION_ADD_FORUM_CATEGORY',                       468);
 define('WM3_cACTION_SAVE_FORUM_CATEGORY',                      469);
 define('WM3_cACTION_EDIT_FORUM_CATEGORY',                      470);
 define('WM3_cACTION_UPDATE_FORUM_CATEGORY',                    471);
 define('WM3_cACTION_SHOW_FORUM',                               472);
 define('WM3_cACTION_DISABLE_FORUM',                            473);
 define('WM3_cACTION_ENABLE_FORUM',                             474);
 define('WM3_cACTION_DELETE_FORUM',                             475);
 define('WM3_cACTION_ADD_FORUM',                                476);
 define('WM3_cACTION_SAVE_FORUM',                               477);
 define('WM3_cACTION_EDIT_FORUM',                               478);
 define('WM3_cACTION_UPDATE_FORUM',                             479);
 define('WM3_cACTION_SHOW_CHATROOM',                            480);
 define('WM3_cACTION_DISABLE_CHATROOM',                         481);
 define('WM3_cACTION_ENABLE_CHATROOM',                          482);
 define('WM3_cACTION_DELETE_CHATROOM',                          483);
 define('WM3_cACTION_ADD_CHATROOM',                             484);
 define('WM3_cACTION_SAVE_CHATROOM',                            485);
 define('WM3_cACTION_EDIT_CHATROOM',                            486);
 define('WM3_cACTION_UPDATE_CHATROOM',                          487);
 define('WM3_cACTION_DISABLE_MEDIA_ALBUM_CATEGORY',             488);
 define('WM3_cACTION_ENABLE_MEDIA_ALBUM_CATEGORY',              489);
 define('WM3_cACTION_DELETE_MEDIA_ALBUM_CATEGORY',              490);
 define('WM3_cACTION_ADD_MEDIA_ALBUM_CATEGORY',                 491);
 define('WM3_cACTION_SAVE_MEDIA_ALBUM_CATEGORY',                492);
 define('WM3_cACTION_EDIT_MEDIA_ALBUM_CATEGORY',                493);
 define('WM3_cACTION_UPDATE_MEDIA_ALBUM_CATEGORY',              494);
 define('WM3_cACTION_SHOW_MEDIA_ALBUM',                         495);
 define('WM3_cACTION_DISABLE_MEDIA_ALBUM',                      496);
 define('WM3_cACTION_ENABLE_MEDIA_ALBUM',                       497);
 define('WM3_cACTION_DELETE_MEDIA_ALBUM',                       498);
 define('WM3_cACTION_ADD_MEDIA_ALBUM',                          499);
 define('WM3_cACTION_SAVE_MEDIA_ALBUM',                         500);
 define('WM3_cACTION_EDIT_MEDIA_ALBUM',                         501);
 define('WM3_cACTION_UPDATE_MEDIA_ALBUM',                       502);
 define('WM3_cACTION_SHOW_MEDIA_ALBUM_ITEM',                    503);
 define('WM3_cACTION_DISABLE_MEDIA_ALBUM_ITEM',                 504);
 define('WM3_cACTION_ENABLE_MEDIA_ALBUM_ITEM',                  505);
 define('WM3_cACTION_DELETE_MEDIA_ALBUM_ITEM',                  506);
 define('WM3_cACTION_ADD_MEDIA_ALBUM_ITEM',                     507);
 define('WM3_cACTION_SAVE_MEDIA_ALBUM_ITEM',                    508);
 define('WM3_cACTION_EDIT_MEDIA_ALBUM_ITEM',                    509);
 define('WM3_cACTION_UPDATE_MEDIA_ALBUM_ITEM',                  510);
 define('WM3_cACTION_DUPLICATE_MEDIA_ALBUM_ITEM',               511);
 define('WM3_cACTION_DELETE_FILE_FOLDER',                       512);
 define('WM3_cACTION_ADD_FILE_FOLDER',                          513);
 define('WM3_cACTION_UPLOAD_FILE_FOLDER',                       514);
 define('WM3_cACTION_DISABLE_BANNER',                           515);
 define('WM3_cACTION_ENABLE_BANNER',                            516);
 define('WM3_cACTION_DELETE_BANNER',                            517);
 define('WM3_cACTION_ADD_BANNER',                               518);
 define('WM3_cACTION_SAVE_BANNER',                              519);
 define('WM3_cACTION_EDIT_BANNER',                              520);
 define('WM3_cACTION_UPDATE_BANNER',                            521);
 define('WM3_cACTION_ACTIVATE_BANNER',                          522);
 define('WM3_cACTION_DEACTIVATE_BANNER',                        523);
 define('WM3_cACTION_DUPLICATE_BANNER',                         524);
 define('WM3_cACTION_SHOW_BANNER_EXCHANGE',                     525);
 define('WM3_cACTION_DISABLE_BANNER_EXCHANGE',                  526);
 define('WM3_cACTION_ENABLE_BANNER_EXCHANGE',                   527);
 define('WM3_cACTION_DELETE_BANNER_EXCHANGE',                   528);
 define('WM3_cACTION_ADD_BANNER_EXCHANGE',                      529);
 define('WM3_cACTION_SAVE_BANNER_EXCHANGE',                     530);
 define('WM3_cACTION_EDIT_BANNER_EXCHANGE',                     531);
 define('WM3_cACTION_UPDATE_BANNER_EXCHANGE',                   532);
 define('WM3_cACTION_ACTIVATE_BANNER_EXCHANGE',                 533);
 define('WM3_cACTION_CODE_BANNER_EXCHANGE',                     534);
 define('WM3_cACTION_STATISTICS_BANNER_EXCHANGE',               535);
 define('WM3_cACTION_SHOW_BANNER_EXCHANGE_CREDIT',              536);
 define('WM3_cACTION_UPDATE_BANNER_EXCHANGE_CREDIT',            537);
 define('WM3_cACTION_ENABLE_BANNER_EXCHANGE_UNLIMITED_CREDIT',  538);
 define('WM3_cACTION_DISABLE_BANNER_EXCHANGE_UNLIMITED_CREDIT', 539);
 define('WM3_cACTION_SHOW_DIRECTORY',                           540);//???
 define('WM3_cACTION_DISABLE_DIRECTORY',                        541);//???
 define('WM3_cACTION_ENABLE_DIRECTORY',                         542);//???
 define('WM3_cACTION_DELETE_DIRECTORY',                         543);
 define('WM3_cACTION_ADD_DIRECTORY',                            544);
 define('WM3_cACTION_SAVE_DIRECTORY',                           545);
 define('WM3_cACTION_EDIT_DIRECTORY',                           546);
 define('WM3_cACTION_UPDATE_DIRECTORY',                         547);
 define('WM3_cACTION_SHOW_DIRECTORY_ITEM',                      548);
 define('WM3_cACTION_DISABLE_DIRECTORY_ITEM',                   549);
 define('WM3_cACTION_ENABLE_DIRECTORY_ITEM',                    550);
 define('WM3_cACTION_DELETE_DIRECTORY_ITEM',                    551);
 define('WM3_cACTION_ADD_DIRECTORY_ITEM',                       552);
 define('WM3_cACTION_SAVE_DIRECTORY_ITEM',                      553);
 define('WM3_cACTION_EDIT_DIRECTORY_ITEM',                      554);
 define('WM3_cACTION_UPDATE_DIRECTORY_ITEM',                    555);
 define('WM3_cACTION_DUPLICATE_DIRECTORY_ITEM',                 556);
 define('WM3_cACTION_SET_NOT_READ_USER_MESSAGE',                557);
 define('WM3_cACTION_SHOW_USER_MESSAGE',                        558);
 define('WM3_cACTION_DELETE_USER_MESSAGE',                      559);
 define('WM3_cACTION_ADD_USER_MESSAGE',                         560);
 define('WM3_cACTION_SAVE_USER_MESSAGE',                        561);
 define('WM3_cACTION_REPLY_USER_MESSAGE',                       562);
 define('WM3_cACTION_UPDATE_USER_MESSAGE',                      563);//?????
 define('WM3_cACTION_DUPLICATE_USER_MESSAGE',                   564);//?????
 define('WM3_cACTION_UPDATE_GENERAL_PREFERENCES',               565);
 define('WM3_cACTION_EDIT_ASPECT_PREFERENCES',                  566);
 define('WM3_cACTION_UPDATE_ASPECT_PREFERENCES',                567);
 define('WM3_cACTION_EDIT_CONTENT_PREFERENCES',                 568);
 define('WM3_cACTION_UPDATE_CONTENT_PREFERENCES',               569);
 define('WM3_cACTION_EDIT_ECOMMERCE_PREFERENCES',               570);
 define('WM3_cACTION_UPDATE_ECOMMERCE_PREFERENCES',             571);
 define('WM3_cACTION_EDIT_BANNER_EXCHANGE_PREFERENCES',         572);
 define('WM3_cACTION_UPDATE_BANNER_EXCHANGE_PREFERENCES',       573);
 define('WM3_cACTION_CHANGE_LANGUAGE_CONTENT_PREFERENCES',      574);
 define('WM3_cACTION_SHOW_ECOMMERCE_FIELD_PREFERENCES',         575);
 define('WM3_cACTION_DISABLE_ECOMMERCE_FIELD_PREFERENCES',      576);
 define('WM3_cACTION_ENABLE_ECOMMERCE_FIELD_PREFERENCES',       577);
 define('WM3_cACTION_DELETE_ECOMMERCE_FIELD_PREFERENCES',       578);
 define('WM3_cACTION_ADD_ECOMMERCE_FIELD_PREFERENCES',          579);
 define('WM3_cACTION_SAVE_ECOMMERCE_FIELD_PREFERENCES',         580);
 define('WM3_cACTION_EDIT_ECOMMERCE_FIELD_PREFERENCES',         581);
 define('WM3_cACTION_UPDATE_ECOMMERCE_FIELD_PREFERENCES',       582);
 define('WM3_cACTION_SHOW_HISTORY_STATISTIC',                   583);
 define('WM3_cACTION_SHOW_TREND_STATISTIC',                     584);
 define('WM3_cACTION_RENDER_TREND_STATISTIC',                   585);//TODO è inutile? fare il tutto solo con WM3_cACTION_SHOW_TREND_STATISTIC
 define('WM3_cACTION_RESET_ALL_STATISTIC',                      586);
 define('WM3_cACTION_SHOW_LOG',                                 587);
 define('WM3_cACTION_DELETE_LOG',                               588);
 define('WM3_cACTION_DELETE_ALL_LOG',                           589);
 define('WM3_cACTION_SET_TOTAL_VISITORS',                       590);
 define('WM3_cACTION_SET_TOTAL_SIGNALATIONS',                   591);
 define('WM3_cACTION_SHOW_PHP_INFORMATIONS',                    592);

 define('WM3_cACTION_SETUP_NEXT',            600);
 define('WM3_cACTION_SETUP_SAVEDB',          601);
 define('WM3_cACTION_SETUP_SAVEUSER',        602);
 define('WM3_cACTION_SETUP_CHANGE_LANGUAGE', 603);

 // Page constants                                   
 define('WM3_cPAGE_CATEGORY_MARKET',              1);
 define('WM3_cPAGE_CATEGORY_FAQ',                 2);
 define('WM3_cPAGE_CATEGORY_SEARCH_ENGINE',       3);
 define('WM3_cPAGE_CATEGORY_USER_REGISTRATION',   4);
 define('WM3_cPAGE_CATEGORY_LINKS',               5);
 define('WM3_cPAGE_CATEGORY_STATISTICS',          6);
 define('WM3_cPAGE_CATEGORY_USER_INFORMATIONS',   7);
 define('WM3_cPAGE_CATEGORY_FORUMS',              8);
 define('WM3_cPAGE_CATEGORY_DOWNLOADS',           9);
 define('WM3_cPAGE_CATEGORY_GUESTBOOKS',         10);
 define('WM3_cPAGE_CATEGORY_DIRECTORIES',        11);
 define('WM3_cPAGE_CATEGORY_MEDIA_ALBUMS',       12);
 define('WM3_cPAGE_CATEGORY_CONTACT',            13);
 define('WM3_cPAGE_CATEGORY_CHAT',               14);
 define('WM3_cPAGE_CATEGORY_WEBMAIL',            15);
 define('WM3_cPAGE_CATEGORY_CUSTOM',             16);
 define('WM3_cPAGE_CATEGORY_EXPANSION',          17);

 define('WM3_cPAGE_TYPE_CHANNELS', 1);
 define('WM3_cPAGE_TYPE_NORMAL',   2);

 define('WM3_cPAGE_VISIBILITY_ALL',   1);
 define('WM3_cPAGE_VISIBILITY_USERS', 2);
 define('WM3_cPAGE_VISIBILITY_GROUP', 3);

 // Panel constants
 define('WM3_cPANEL_CATEGORY_MESSAGES',       1);
 define('WM3_cPANEL_CATEGORY_LOGIN',          2);
 define('WM3_cPANEL_CATEGORY_CHANNELS',       3);
 define('WM3_cPANEL_CATEGORY_SEARCH',         4);
 define('WM3_cPANEL_CATEGORY_HOROSCOPE',      5);
 define('WM3_cPANEL_CATEGORY_NEWSLETTER',     6);
 define('WM3_cPANEL_CATEGORY_SEND_TO_FRIEND', 7);
 define('WM3_cPANEL_CATEGORY_LANGUAGES',      8);
 define('WM3_cPANEL_CATEGORY_ECOMMERCE',      9);
 define('WM3_cPANEL_CATEGORY_SURVEY',        10);
 define('WM3_cPANEL_CATEGORY_FORTUNE',       11);
 define('WM3_cPANEL_CATEGORY_RSS_FEEDS',     12);
 define('WM3_cPANEL_CATEGORY_BIRTHDAY',      13);
 define('WM3_cPANEL_CATEGORY_SPECIAL_OFFER', 14);
 define('WM3_cPANEL_CATEGORY_CUSTOM',        15);
 define('WM3_cPANEL_CATEGORY_EXPANSION',     16);

 define('WM3_cPANEL_LEFT',   1);
 define('WM3_cPANEL_CENTER', 2);
 define('WM3_cPANEL_RIGHT',  3);

 // Menu item constants
 define('WM3_cMENU_BAR_ITEM_CATEGORY_CHANNEL',  1);
 define('WM3_cMENU_BAR_ITEM_CATEGORY_HOME',     2);
 define('WM3_cMENU_BAR_ITEM_CATEGORY_ADMIN',    3);
 define('WM3_cMENU_BAR_ITEM_CATEGORY_USER',     4);
 define('WM3_cMENU_BAR_ITEM_CATEGORY_EXTERNAL', 5);
 define('WM3_cMENU_BAR_ITEM_CATEGORY_CUSTOM',   6);

 // Contents render mode
 define('WM3_cRENDER_MODE_PLAIN_TEXT',   1);
 define('WM3_cRENDER_MODE_HTML',         2);
 define('WM3_cRENDER_MODE_BB_CODE',      3);
 define('WM3_cRENDER_MODE_HTML_BB_CODE', 4);

 // Other constants
 define('WM3_cUSER_ANONYMOUS', 0);

 define('WM3_cSTATISTIC_YEARLY',        0);
 define('WM3_cSTATISTIC_MONTHLY',       1);
 define('WM3_cSTATISTIC_DAILY',         2);
 define('WM3_cSTATISTIC_HOURLY',        3);
 define('WM3_cSTATISTIC_WEEKLY',        4);
 define('WM3_cSTATISTIC_HOURLY_GLOBAL', 5);
 define('WM3_cSTATISTIC_TREND_STEP_HOUR', 1);
 define('WM3_cSTATISTIC_TREND_STEP_DAY',  2);

 define('WM3_cOS_OTHER',    1);
 define('WM3_cOS_WINDOWS',  2);
 define('WM3_cOS_LINUX',    3);
 define('WM3_cOS_MACOS',    4);
 define('WM3_cOS_SUNOS',    5);
 define('WM3_cOS_BEOS',     6);
 define('WM3_cOS_AMIGAOS',  7);
 define('WM3_cOS_AIX',      8);
 define('WM3_cOS_FREEBSD',  9);
 define('WM3_cOS_IRIX',    10);
 define('WM3_cOS_OS2',     11);

 define('WM3_cBROWSER_OTHER',         1);
 define('WM3_cBROWSER_SEARCH_ENGINE', 2);
 define('WM3_cBROWSER_IE',            3);
 define('WM3_cBROWSER_MOZILLA',       4);
 define('WM3_cBROWSER_CHROME',        5);
 define('WM3_cBROWSER_NETSCAPE',      6);
 define('WM3_cBROWSER_OPERA',         7);
 define('WM3_cBROWSER_KONQUEROR',     8);
 define('WM3_cBROWSER_IBROWSE',       9);
 define('WM3_cBROWSER_LYNX',          10);
 define('WM3_cBROWSER_WEBTV',         11);

 define('WM3_cSURVEY_TARGET_ALL',     1);
 define('WM3_cSURVEY_TARGET_USERS',   2);
 define('WM3_cSURVEY_RESULT_PUBLIC',  1);
 define('WM3_cSURVEY_RESULT_PRIVATE', 2);
 define('WM3_cSURVEY_LAYOUT_COMBO',   1);
 define('WM3_cSURVEY_LAYOUT_MENU',    2);

 define('WM3_cCHATROOM_VISIBILITY_PUBLIC',  1);
 define('WM3_cCHATROOM_VISIBILITY_PRIVATE', 2);

 define('WM3_cECOMMERCE_AVAILABILITY_HEIGHT',  1);
 define('WM3_cECOMMERCE_AVAILABILITY_EVERAGE', 2);
 define('WM3_cECOMMERCE_AVAILABILITY_LOW',     3);
 define('WM3_cECOMMERCE_AVAILABILITY_NONE',    4);
 define('WM3_cECOMMERCE_ORDER_WAITING', 1);
 define('WM3_cECOMMERCE_ORDER_ACCEPT',  2);
 define('WM3_cECOMMERCE_ORDER_SENDED',  3);
 define('WM3_cECOMMERCE_ORDER_REJECT',  4);

 define('WM3_cNEWSLETTER_TARGET_MEMBERS',  1);
 define('WM3_cNEWSLETTER_TARGET_USERS',    2);
 define('WM3_cNEWSLETTER_ACTION_SEND',     1);
 define('WM3_cNEWSLETTER_ACTION_SIMULATE', 2);
 define('WM3_cNEWSLETTER_FORMAT_TEXT',     1);
 define('WM3_cNEWSLETTER_FORMAT_HTML',     2);

 define('WM3_cMEDIA_ALBUM_TYPE_ALL',            1);
 define('WM3_cMEDIA_ALBUM_TYPE_PICTURES',       2);
 define('WM3_cMEDIA_ALBUM_TYPE_VIDEO',          3);
 define('WM3_cMEDIA_ALBUM_TYPE_AUDIO',          4);
 define('WM3_cMEDIA_ALBUM_TYPE_PICTURES_VIDEO', 5);
 define('WM3_cMEDIA_ALBUM_TYPE_PICTURES_AUDIO', 6);
 define('WM3_cMEDIA_ALBUM_TYPE_AUDIO_VIDEO',    7);

 define('WM3_cMARKET_ANNOUNCEMENT_TYPE_SELL', 1);
 define('WM3_cMARKET_ANNOUNCEMENT_TYPE_BUY',  2);

 define('WM3_cWEBMAIL_SERVER_VISIBILITY_ALL',   1);
 define('WM3_cWEBMAIL_SERVER_VISIBILITY_USERS', 2);
 define('WM3_cWEBMAIL_SERVER_VISIBILITY_GROUP', 3);
 define('WM3_cWEBMAIL_SERVER_AUTHENTICATION_TYPE_SERVER',    1);
 define('WM3_cWEBMAIL_SERVER_AUTHENTICATION_TYPE_SPECIFIED', 2);
 define('WM3_cWEBMAIL_SERVER_AUTHENTICATION_TYPE_NONE',      3);
 define('WM3_cWEBMAIL_SERVER_PROTOCOL_POP3',     1);
 define('WM3_cWEBMAIL_SERVER_PROTOCOL_POP3_SSL', 2);

 define('WM3_cPREFERENCES_FOOT_ALL',          1);
 define('WM3_cPREFERENCES_FOOT_COUNTER_DATE', 2);
 define('WM3_cPREFERENCES_FOOT_COUNTER_TIME', 3);
 define('WM3_cPREFERENCES_FOOT_DATE_TIME',    4);
 define('WM3_cPREFERENCES_FOOT_COUNTER',      5);
 define('WM3_cPREFERENCES_FOOT_DATE',         6);
 define('WM3_cPREFERENCES_FOOT_TIME',         7);
 define('WM3_cPREFERENCES_FOOT_NONE',         8);

 define('WM3_cPREFERENCES_ECOMMERCE_CATALOGUE_ONLY', 1);
 define('WM3_cPREFERENCES_ECOMMERCE_FULL',           2);
 define('WM3_cPREFERENCES_ECOMMERCE_FIELD_TYPE_INTEGER', 1);
 define('WM3_cPREFERENCES_ECOMMERCE_FIELD_TYPE_DECIMAL', 2);
 define('WM3_cPREFERENCES_ECOMMERCE_FIELD_TYPE_STRING',  3);
 define('WM3_cPREFERENCES_ECOMMERCE_FIELD_SHOW_IN_CATALOGUE',    1);
 define('WM3_cPREFERENCES_ECOMMERCE_FIELD_SHOW_IN_TRANSACTIONS', 2);
 define('WM3_cPREFERENCES_ECOMMERCE_FIELD_SHOW_IN_BOTH',         3);

 define('WM3_cFOLDER_ALL',         0);
 define('WM3_cFOLDER_IMG',         1);
 define('WM3_cFOLDER_ECOMMERCE',   2);
 define('WM3_cFOLDER_MEDIA_ALBUM', 3);
 define('WM3_cFOLDER_DOWNLOADS',   4);
 
 define('WM3_cUPLOAD_FROM_LOCAL',  0);
 define('WM3_cUPLOAD_FROM_REMOTE', 1);
 define('WM3_cUPLOAD_FROM_URL',    2);

 define('WM3_cCHANNEL_BLOCK_TYPE_PAGE',       0);
 define('WM3_cCHANNEL_BLOCK_TYPE_SUBCHANNEL', 1);

 define('WM3_cFILE_INTERNAL', 0);
 define('WM3_cFILE_EXTERNAL', 1); 

 define('WM3_cDIRECTORY_FILE',    1);
 define('WM3_cDIRECTORY_NO_FILE', 2);
 
 define('WM3_cQUOTE_DB', 1);
 define('WM3_cYES', 1);
 define('WM3_cNO',  0);
 define('WM3_cENABLED',  1);
 define('WM3_cDISABLED', 0);
 define('WM3_cUSER_ALL',           1);
 define('WM3_cUSER_GENDER_MALE',   2);
 define('WM3_cUSER_GENDER_FEMALE', 3);
 define('WM3_cUSER_SPECIAL',       4);
 define('WM3_cNO_IMAGE',     0);
 define('WM3_cALIGN_LEFT',   1);
 define('WM3_cALIGN_CENTER', 2);
 define('WM3_cALIGN_RIGHT',  3);

 define('WM3_cSETUP_OFF',   0);
 define('WM3_cSETUP_ON',    1);
 define('WM3_cWARNING_OFF', 0);
 define('WM3_cWARNING_ON',  1);
 define('WM3_cDEBUG_OFF',   0);
 define('WM3_cDEBUG_ON',    1);
 
 // Common functions

 function __autoload($class_name)
  {
   // Redefine __autoload function to autoload the classes
   global $WM3_cCLASSES_LOADED;

   $WM3_cCLASSES_LOADED .= "$class_name<br>";
   require_once(WM3_cPATH_CLASSES.$class_name.'.php');
  }

 function stripslashes_deep($value)
  {
   // Strip slashes from a string (callback recursively function)
   $value = is_array($value) ? array_map('stripslashes_deep', $value) : stripslashes($value);
   return $value;
  }

?>
