<?php

 // THIS FILE IS PART OF WEBMATIC3 (Webmatic cube)
 // www.valarsoft.com

 defined('WM3_cEXEC') or die('Denied');

 class wm3Horoscope
  {

   function __construct() { }

   public static function getHoroscopeFieldsArray()
    {
     return array('horoscopeID','render_mode','message','languageID','enabled','p1','p2','p3','p4','p5','p6','p7','p8','ts');
    }

   public static function getQuoteFieldsArray()
    {
     return array('quoteID','languageID','render_mode','quote','author','year','occupation','author_url','enabled','ts');
    }

   public static function getHoroscopes($w3,$languageID)
    {
     // Get messages list for the panels
     $str = "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">";

     // Check if there are any items
     $rs = wm3Sql::sqlQuery("SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_messages
                             WHERE languageID = '$languageID' AND enabled = '".WM3_cENABLED."'
                             ORDER BY message_ts DESC");
     if(mysql_num_rows($rs) == 0)
      {
       $str .= "<tr class=\"listEven\"><td class=\"listEven\">".$w3->getWord(593)."</td></tr></table>";
       return $str;
      }

     // List items
     $p = 0;
     while($row = mysql_fetch_object($rs))
      {
       // Horoscope text
       if($p%2 == 0) $css_class = "listEven"; else $css_class="listOdd"; $p++;
       $str .= "<tr class=\"$css_class\">";
       $str .= "<td class=\"$css_class\">$row->message</td>";
       // Buttons
       /*
       if($row->enabled) $str .= "<td class=\"$css_class\">".wm3Util::actionButton("$link&action=".WM3_cACTION_DISABLE_HOROSCOPE."&horoscopeID=$row->horoscopeID","action_disable.png",$w3->getWord(180))."</td>";
       else              $str .= "<td class=\"$css_class\">".wm3Util::actionButton("$link&action=".WM3_cACTION_ENABLE_HOROSCOPE."&horoscopeID=$row->horoscopeID","action_enable.png",$w3->getWord(181))."</td>";
       $str .= "<td class=\"$css_class\">".wm3Util::actionButton("$link&action=".WM3_cACTION_EDIT_HOROSCOPE."&horoscopeID=$row->horoscopeID","action_edit.png",$w3->getWord(178))."</td>";       
       $str .= "<td class=\"$css_class\">".wm3Util::actionButton("$link&action=".WM3_cACTION_DELETE_HOROSCOPE."&horoscopeID=$row->horoscopeID","action_duplicate.png",$w3->getWord(1415),$w3->getWord(1416))."</td>";
       $str .= "<td class=\"$css_class\">".wm3Util::actionButton("$link&action=".WM3_cACTION_DELETE_HOROSCOPE."&horoscopeID=$row->horoscopeID","action_delete.png",$w3->getWord(179),$w3->getWord(705))."</td>";*/
       $str .= "</tr>";
      }
     $str .= "</table>";
     return $str;
    }

   public static function executeAction($w3)
    {
     switch($w3->getAction())
      {
       case WM3_cACTION_DISABLE_QUOTE:
        {
         wm3Horoscope::disableQuote($w3->getVariable('quoteID','get'));
         return wm3Horoscope::getQuoteList($w3,$w3->getVariable('quoteID','get'));
         break;
        }
       case WM3_cACTION_ENABLE_QUOTE:
        {
         wm3Horoscope::enableQuote($w3->getVariable('quoteID','get'));
         return wm3Horoscope::getQuoteList($w3,$w3->getVariable('quoteID','get'));
         break;
        }
       case WM3_cACTION_DELETE_QUOTE:
        {
         wm3Horoscope::deleteQuote($w3->getVariable('quoteID','get'));
         return wm3Horoscope::getQuoteList($w3);
         break;
        }
       case WM3_cACTION_ADD_QUOTE:
        {
         return wm3Horoscope::addQuote($w3);
         break;
        }
       case WM3_cACTION_SAVE_QUOTE:
        {
         $error = wm3Horoscope::checkQuoteError($w3);
         if(!$error)
          {
           $lastID = wm3Horoscope::saveQuote($w3);
           // $msg= message saved... //TODO
           return wm3Horoscope::getQuoteList($w3,$lastID);
          }
         else return wm3Horoscope::addQuote($w3,$error);
         break;
        }
       case WM3_cACTION_EDIT_QUOTE:
        {
         return wm3Horoscope::editQuote($w3);
         break;
        }
       case WM3_cACTION_UPDATE_QUOTE:
        {
         $error = wm3Horoscope::checkQuoteError($w3);
         if(!$error)
          {
           $lastID = wm3Horoscope::updateQuote($w3);
           // $msg= message udated... //TODO
           return wm3Horoscope::getQuoteList($w3,$lastID);
          }
         else return wm3Horoscope::editQuote($w3,$error);
         break;
        }
       case WM3_cACTION_DISABLE_HOROSCOPE:
        {
         wm3Horoscope::disableHoroscope($w3->getVariable('horoscopeID','get'));
         return wm3Horoscope::getHoroscopeList($w3,$w3->getVariable('horoscopeID','get'));
         break;
        }
       case WM3_cACTION_ENABLE_HOROSCOPE:
        {
         wm3Horoscope::enableHoroscope($w3->getVariable('horoscopeID','get'));
         return wm3Horoscope::getHoroscopeList($w3,$w3->getVariable('horoscopeID','get'));
         break;
        }
       case WM3_cACTION_DELETE_HOROSCOPE:
        {
         wm3Horoscope::deleteHoroscope($w3->getVariable('horoscopeID','get'));
         return wm3Horoscope::getHoroscopeList($w3);
         break;
        }
       case WM3_cACTION_ADD_HOROSCOPE:
        {
         return wm3Horoscope::addHoroscope($w3);
         break;
        }
       case WM3_cACTION_SAVE_HOROSCOPE:
        {
         $error = wm3Horoscope::checkHoroscopeError($w3);
         if(!$error)
          {
           $lastID = wm3Horoscope::saveHoroscope($w3);
           // $msg= message saved... //TODO
           return wm3Horoscope::getHoroscopeList($w3,$lastID);
          }
         else return wm3Horoscope::addHoroscope($w3,$error);
         break;
        }
       case WM3_cACTION_EDIT_HOROSCOPE:
        {
         return wm3Horoscope::editHoroscope($w3);
         break;
        }
       case WM3_cACTION_UPDATE_HOROSCOPE:
        {
         $error = wm3Horoscope::checkHoroscopeError($w3);
         if(!$error)
          {
           $lastID = wm3Horoscope::updateHoroscope($w3);
           // $msg= message udated... //TODO
           return wm3Horoscope::getHoroscopeList($w3,$lastID);
          }
         else return wm3Horoscope::editHoroscope($w3,$error);
         break;
        }
       case WM3_cACTION_SHOW_QUOTE:
        {
         return wm3Horoscope::getQuoteList($w3);
         break;
        }
       default:
        {
         return wm3Horoscope::getHoroscopeList($w3);
        }
      }     
    }

   public static function getHoroscopeList($w3,$currentID = 0,$admin = true)
    {
     // Get horoscopes list
	 
     // Prepare variables to create the list	 
     $max_page_items = 12; $columns = 6; $buttons = 4;
     $pg = $w3->getVariable('pg','both');
     $filter = $w3->getVariable('filter','both'); // Search field
     if($filter) { $search_link = "&filter=$filter";
     	           $query_filter = "WHERE message LIKE '%$filter%'"; }
     else        { $search_link = $query_filter = ""; }
	 $search_form_link = WM3_cCONFIG_ADMIN_FILE;
     $base_link = WM3_cCONFIG_ADMIN_FILE."?stage=".$w3->getStage()."&section=".$w3->getSection();
     $id_link = "";

     // Do the query and take the total items number
	 $order_by = " ORDER BY ".WM3_cCONFIG_DB_PREFIX."_horoscopes.message DESC";
     $query = "SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_horoscopes
                        $query_filter";
     $rs = wm3Sql::sqlQuery($query.$order_by); // Do the query without "limit"
     $total_items = mysql_num_rows($rs);
     if($total_items % $max_page_items == 0 && $pg == (int)($total_items / $max_page_items)) $pg--;
	 if($currentID)
	  {
	   $position = wm3Sql::getRSPosition($rs,'horoscopeID',$currentID);
	   $pg = (int)($position / $max_page_items);
      }
	 if($pg) $extra_link = "&pg=$pg"; else $extra_link = "";
     if($total_items != 0) $rs = wm3Sql::sqlQuery($query.$order_by." LIMIT ".($pg*$max_page_items).",$max_page_items");

     // Create list header
     $_CONTENTS = array();
     require(WM3_cPATH_INCLUDE."admin_horoscope_search_form.inc");
     array_push($_CONTENTS,$w3->getWord(388));
     $str = wm3Section::makeHeaderList($w3,$_CONTENTS,$columns,$search_form);

     // Create list caption
     if($admin) $str .= wm3Section::makeCaptionList($w3,array(60,40,0),array(228,1409),$buttons);

     // Check if there are any items (and exit with a message if there are 0 items)
     if($total_items == 0) return $str.wm3Section::makeEmptyItemsList($w3,$columns,593);

     // Create list items
     $p = 0;
     while($row = mysql_fetch_object($rs))
      {
       $_CONTENTS = array(); $_WIDTHS = array();
       $link = $base_link.$id_link.$extra_link."&horoscopeID=$row->horoscopeID";	
       $lang_flag = "<img src=\"".WM3_cPATH_DATA.wm3Language::getFlag($row->languageID)."\" width=\"19\" height=\"13\" align=\"middle\">";
	   $info = $lang_flag;
	   $info .= "<br> ".wm3Util::makeStars($w3,$row->p1)."(".$w3->getWord(237).")";
	   $info .= "<br> ".wm3Util::makeStars($w3,$row->p2)."(".$w3->getWord(238).")";
	   $info .= "<br> ".wm3Util::makeStars($w3,$row->p3)."(".$w3->getWord(239).")";
	   $info .= "<br> ".wm3Util::makeStars($w3,$row->p4)."(".$w3->getWord(240).")";
	   $info .= "<br> ".wm3Util::makeStars($w3,$row->p5)."(".$w3->getWord(241).")";
       array_push($_CONTENTS,$row->message);
       array_push($_CONTENTS,$info);
       array_push($_WIDTHS,60,40);
       // Buttons
       if($row->enabled) array_push($_CONTENTS,wm3Util::actionButton("$link$search_link&action=".WM3_cACTION_DISABLE_HOROSCOPE,"action_disable.png",$w3->getWord(180)));
       else              array_push($_CONTENTS,wm3Util::actionButton("$link$search_link&action=".WM3_cACTION_ENABLE_HOROSCOPE,"action_enable.png",$w3->getWord(181)));
       array_push($_CONTENTS,wm3Util::actionButton("$link&action=".WM3_cACTION_EDIT_HOROSCOPE,"action_edit.png",$w3->getWord(178)));
       array_push($_CONTENTS,wm3Util::actionButton("$link$search_link&action=".WM3_cACTION_DELETE_HOROSCOPE,"action_duplicate.png",$w3->getWord(1415),$w3->getWord(1416)));
       array_push($_CONTENTS,wm3Util::actionButton("$link$search_link&action=".WM3_cACTION_DELETE_HOROSCOPE,"action_delete.png",$w3->getWord(179),$w3->getWord(705)));
       $str .= wm3Section::makeItemList($w3,$p,$_WIDTHS,$_CONTENTS,$row->horoscopeID==$currentID);
       $p++;       
      }

     // Create list bottom
     $bottom_content = "";
     if($total_items > $max_page_items)
      {
       $bottom_content = wm3Util::makePagesNavigator($total_items,$max_page_items,$pg,$base_link."&action=".$id_link.$search_link);
      }
     $str .= wm3Section::makeBottomList($w3,$columns,$bottom_content);

     return $str;
    }

   public static function checkHoroscopeError($w3)
    {
     // Check form invalid inputs
     $_FIELD = webmatic3::getPostValueArray(wm3Horoscope::getHoroscopeFieldsArray());
     if(!$_FIELD['message']) return 1;
     return 0;
    }

   public static function addHoroscope($w3,$error = 0)
    {
     // Take variables value and set correct form style    
     $_STYLE = wm3Skin::getFormStyleArray(wm3Horoscope::getHoroscopeFieldsArray());
     $_FIELD = webmatic3::getPostValueArray(wm3Horoscope::getHoroscopeFieldsArray());
     // Fields for paging default value
     $pg = $filter = "";
     switch($error)
      {
       case 1: // ??? 
        {
         $_STYLE['message']        = "class=\"adminFormError\"";
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitleError\"";
         $form_title = $w3->getWord(8);
         break;
        }
       default:
        {
         // Default values for the form
         $_FIELD['enabled']   = WM3_cENABLED;
         $_EXTRA['update_ts'] = "";
               	
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitle\"";
         $form_title = $w3->getWord(350);
       	}
      }
     $next_action       = WM3_cACTION_SAVE_HOROSCOPE;
     $next_action_label = $w3->getWord(191);
     require(WM3_cPATH_INCLUDE."admin_horoscope_form.inc");
     return $admin_content;
    }

   public static function editHoroscope($w3,$error = 0)
    {
     // Take variables value from db and set correct form style
     if(!$error)
      {
       $rs = wm3Sql::sqlQuery("SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_horoscopes
                               WHERE horoscopeID = '".$w3->getVariable('horoscopeID','get')."'");
       $row = mysql_fetch_object($rs);
	   if(!$row) return wm3Section::makeNotFoundItem($w3);
       $_FIELD = webmatic3::getRowValueArray(wm3Horoscope::getHoroscopeFieldsArray(),$row);
       // Default value for fields not in $row object
      }
     else $_FIELD = webmatic3::getPostValueArray(wm3Horoscope::getHoroscopeFieldsArray());

     $_STYLE = wm3Skin::getFormStyleArray(wm3Horoscope::getHoroscopeFieldsArray());
     $pg     = $w3->getVariable('pg','both');
     $filter = $w3->getVariable('filter','both');
     switch($error)
      {
       case 1: // No horoscope 
        {
         $_STYLE['message']        = "class=\"adminFormError\"";
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitleError\"";
         $form_title = "Error $error";//$w3->getWord(29);
         break;
        }
       default:
        {
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitle\"";
         $form_title = "Edit message ...."; //$w3->getWord(29);
       	}
      }
     $next_action       = WM3_cACTION_UPDATE_HOROSCOPE;
     $next_action_label = $w3->getWord(29);
     require(WM3_cPATH_INCLUDE."admin_horoscope_form.inc");
     return $admin_content;
    }

   public static function saveHoroscope($w3)
    {
     $_FIELD = webmatic3::getPostValueArray(wm3Horoscope::getHoroscopeFieldsArray(),WM3_cQUOTE_DB);
	 $_FIELD['ts'] = time();
	 $_FIELD['p6'] = $_FIELD['p7'] = $_FIELD['p8'] = '1';
     wm3Sql::saveAllTableFields('_horoscopes',$_FIELD);
     return wm3Sql::getLastInsertID();
    }

   public static function updateHoroscope($w3)
    {
     $_FIELD = webmatic3::getPostValueArray(wm3Horoscope::getHoroscopeFieldsArray(),WM3_cQUOTE_DB);
     wm3Sql::sqlQuery("UPDATE ".WM3_cCONFIG_DB_PREFIX."_horoscopes
                       SET   message     = '".$_FIELD['message']."',
					         render_mode = '".$_FIELD['render_mode']."',
                             enabled     = '".$_FIELD['enabled']."',
							 p1          = '".$_FIELD['p1']."',
							 p2          = '".$_FIELD['p2']."',
							 p3          = '".$_FIELD['p3']."',
							 p4          = '".$_FIELD['p4']."',
							 p5          = '".$_FIELD['p5']."',
							 languageID  = '".$_FIELD['languageID']."'
                       WHERE horoscopeID = '".$_FIELD['horoscopeID']."'");
     return $_FIELD['horoscopeID'];
    }

   public static function selectHoroscope($name,$messageID)
    {
     // Make message categories select
     $rs = wm3Sql::sqlQuery("SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_horoscopes");
     $str = "<select name=\"$name\">";
     while($row = mysql_fetch_object($rs))
      {
       if($row->messageID == $messageID) $str .= wm3Util::inputOption($row->arg_name,$row->arg_blockID,"selected");
       else                              $str .= wm3Util::inputOption($row->arg_name,$row->arg_blockID);
      }
     $str .= "</select>";
     return $str;
    }

   public static function disableHoroscope($horoscopeID)
    {
     wm3Sql::sqlQuery("UPDATE ".WM3_cCONFIG_DB_PREFIX."_horoscopes SET enabled = '".WM3_cDISABLED."' WHERE horoscopeID = '$horoscopeID'");
    }

   public static function enableHoroscope($horoscopeID)
    {
     wm3Sql::sqlQuery("UPDATE ".WM3_cCONFIG_DB_PREFIX."_horoscopes SET enabled = '".WM3_cENABLED."' WHERE horoscopeID = '$horoscopeID'");
   	}
   
   public static function deleteHoroscope($horoscopeID)
    {
	 wm3Sql::sqlQuery("LOCK TABLES ".WM3_cCONFIG_DB_PREFIX."_horoscopes         WRITE,
	                               ".WM3_cCONFIG_DB_PREFIX."_horoscopes_dailies WRITE");
     wm3Sql::sqlQuery("DELETE FROM ".WM3_cCONFIG_DB_PREFIX."_horoscopes_dailies WHERE horoscopeID = '$horoscopeID'");
     wm3Sql::sqlQuery("DELETE FROM ".WM3_cCONFIG_DB_PREFIX."_horoscopes WHERE horoscopeID = '$horoscopeID'");
	 wm3Sql::sqlQuery("UNLOCK TABLES");
    }

   public static function getQuoteList($w3,$currentID = 0,$admin = true)
    {
     // Get quotes list
     $max_page_items = 12; $columns = 6; $buttons = 4;
     $pg = $w3->getVariable('pg','both');
     $filter = $w3->getVariable('filter','both'); // Search field
     if($filter) { $search_link = "&filter=$filter";
     	           $query_filter = "WHERE quote LIKE '%$filter%'"; }
     else        { $search_link = $query_filter = ""; }
	 $search_form_link = WM3_cCONFIG_ADMIN_FILE."?action=".WM3_cACTION_SHOW_QUOTE;
     $base_link = WM3_cCONFIG_ADMIN_FILE."?stage=".$w3->getStage()."&section=".$w3->getSection();
     $id_link = "";

     // Do the query and take the total items number
	 $order_by = " ORDER BY ts";
     $query = "SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_quotes
                        $query_filter";
     $rs = wm3Sql::sqlQuery($query.$order_by); // Do the query without "limit"
     $total_items = mysql_num_rows($rs);
     if($total_items % $max_page_items == 0 && $pg == (int)($total_items / $max_page_items)) $pg--;
	 if($currentID)
	  {
	   $position = wm3Sql::getRSPosition($rs,'quoteID',$currentID);
	   $pg = (int)($position / $max_page_items);
      }
	 if($pg) $extra_link = "&pg=$pg"; else $extra_link = "";
     if($total_items != 0) $rs = wm3Sql::sqlQuery($query.$order_by." LIMIT ".($pg*$max_page_items).",$max_page_items");

     // Create list header
     $_CONTENTS = array();
     require(WM3_cPATH_INCLUDE."admin_horoscope_search_form.inc");
     array_push($_CONTENTS,$w3->getWord(1602));
     $str = wm3Section::makeHeaderList($w3,$_CONTENTS,$columns,$search_form);

     // Create list caption
     if($admin) $str .= wm3Section::makeCaptionList($w3,array(60,40,0),array(228,1409),$buttons);

     // Check if there are any items (and exit with a message if there are 0 items)
     if($total_items == 0) return $str.wm3Section::makeEmptyItemsList($w3,$columns,593);

     // Create list items
     $p = 0;
     while($row = mysql_fetch_object($rs))
      {
       $_CONTENTS = array(); $_WIDTHS = array();
       $link = $base_link.$id_link.$extra_link."&quoteID=$row->quoteID";	
       $lang_flag = "<img src=\"".WM3_cPATH_DATA.wm3Language::getFlag($row->languageID)."\" width=\"19\" height=\"13\" align=\"middle\">";
       $info = $lang_flag;
       if($row->author)
        {
         $info .= "<br>";
         if($row->author_url) $info .= "<a href=\"$row->author_url\" target=\"_blank\">".$row->author."</a>";
         else                 $info .= $row->author;
         if($row->year) $info .= " ($row->year)";
         if($row->occupation) $info .= ", ".$row->occupation;
        }
       array_push($_CONTENTS,wm3Util::renderContent($w3,$row->quote,$row->render_mode));
       array_push($_CONTENTS,$info);
       array_push($_WIDTHS,60,40);
       // Buttons
       if($row->enabled) array_push($_CONTENTS,wm3Util::actionButton("$link$search_link&action=".WM3_cACTION_DISABLE_QUOTE,"action_disable.png",$w3->getWord(180)));
       else              array_push($_CONTENTS,wm3Util::actionButton("$link$search_link&action=".WM3_cACTION_ENABLE_QUOTE,"action_enable.png",$w3->getWord(181)));
       array_push($_CONTENTS,wm3Util::actionButton("$link&action=".WM3_cACTION_EDIT_QUOTE,"action_edit.png",$w3->getWord(178)));
       array_push($_CONTENTS,wm3Util::actionButton("$link$search_link&action=".WM3_cACTION_DELETE_QUOTE,"action_duplicate.png",$w3->getWord(1415),$w3->getWord(1416)));
       array_push($_CONTENTS,wm3Util::actionButton("$link$search_link&action=".WM3_cACTION_DELETE_QUOTE,"action_delete.png",$w3->getWord(179),$w3->getWord(1611)));
       $str .= wm3Section::makeItemList($w3,$p,$_WIDTHS,$_CONTENTS,$row->quoteID==$currentID);
       $p++;       
      }

     // Create list bottom
     $bottom_content = "";
     if($total_items > $max_page_items)
      {
       $bottom_content = wm3Util::makePagesNavigator($total_items,$max_page_items,$pg,$base_link."&action=".$id_link.$search_link);
      }
     $str .= wm3Section::makeBottomList($w3,$columns,$bottom_content);

     return $str;
    }

   public static function checkQuoteError($w3)
    {
     // Check form invalid inputs
     $_FIELD = webmatic3::getPostValueArray(wm3Horoscope::getQuoteFieldsArray());
     if(!$_FIELD['quote']) return 1;
     return 0;
    }

   public static function addQuote($w3,$error = 0)
    {
     // Take variables value and set correct form style    
     $_STYLE = wm3Skin::getFormStyleArray(wm3Horoscope::getQuoteFieldsArray());
     $_FIELD = webmatic3::getPostValueArray(wm3Horoscope::getQuoteFieldsArray());
     // Fields for paging default value
     $pg = $filter = "";
     switch($error)
      {
       case 1: // Empty quote 
        {
         $_STYLE['quote']          = "class=\"adminFormError\"";
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitleError\"";
         $form_title = $w3->getWord(8);
         break;
        }
       default:
        {
         // Default values for the form
         $_FIELD['enabled']   = WM3_cENABLED;

         $_STYLE['adminFormTitle'] = "class=\"adminFormTitle\"";
         $form_title = $w3->getWord(1603);
       	}
      }
     $next_action       = WM3_cACTION_SAVE_QUOTE;
     $next_action_label = $w3->getWord(191);
     require(WM3_cPATH_INCLUDE."admin_quote_form.inc");
     return $admin_content;
    }

   public static function editQuote($w3,$error = 0)
    {
     // Take variables value from db and set correct form style
     if(!$error)
      {
       $rs = wm3Sql::sqlQuery("SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_quotes
                               WHERE quoteID = '".$w3->getVariable('quoteID','get')."'");
       $row = mysql_fetch_object($rs);
	   if(!$row) return wm3Section::makeNotFoundItem($w3);
       $_FIELD = webmatic3::getRowValueArray(wm3Horoscope::getQuoteFieldsArray(),$row);
       // Default value for fields not in $row object
      }
     else $_FIELD = webmatic3::getPostValueArray(wm3Horoscope::getQuoteFieldsArray());

     $_STYLE = wm3Skin::getFormStyleArray(wm3Horoscope::getQuoteFieldsArray());
     $pg     = $w3->getVariable('pg','both');
     $filter = $w3->getVariable('filter','both');
     switch($error)
      {
       case 1: // No quote
        {
         $_STYLE['quote']          = "class=\"adminFormError\"";
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitleError\"";
         $form_title = "Error $error";//$w3->getWord(29);
         break;
        }
       default:
        {
         $_STYLE['adminFormTitle'] = "class=\"adminFormTitle\"";
         $form_title = "Edit message ...."; //$w3->getWord(29);
       	}
      }
     $next_action       = WM3_cACTION_UPDATE_QUOTE;
     $next_action_label = $w3->getWord(29);
     require(WM3_cPATH_INCLUDE."admin_quote_form.inc");
     return $admin_content;
    }

   public static function saveQuote($w3)
    {
     $_FIELD = webmatic3::getPostValueArray(wm3Horoscope::getQuoteFieldsArray(),WM3_cQUOTE_DB);
     $_FIELD['ts'] = time();
     wm3Sql::saveAllTableFields('_quotes',$_FIELD);
     return wm3Sql::getLastInsertID();
    }

   public static function updateQuote($w3)
    {
     $_FIELD = webmatic3::getPostValueArray(wm3Horoscope::getQuoteFieldsArray(),WM3_cQUOTE_DB);
     wm3Sql::sqlQuery("UPDATE ".WM3_cCONFIG_DB_PREFIX."_quotes
                       SET quote       = '".$_FIELD['quote']."',
				           render_mode = '".$_FIELD['render_mode']."',
                           author      = '".$_FIELD['author']."',
                           year        = '".$_FIELD['year']."',
                           occupation  = '".$_FIELD['occupation']."',
                           author_url  = '".$_FIELD['author_url']."',
                           enabled     = '".$_FIELD['enabled']."',
                           languageID  = '".$_FIELD['languageID']."'
                       WHERE quoteID   = '".$_FIELD['quoteID']."'");
     return $_FIELD['quoteID'];
    }

   public static function disableQuote($quoteID)
    {
     wm3Sql::sqlQuery("UPDATE ".WM3_cCONFIG_DB_PREFIX."_quotes SET enabled = '".WM3_cDISABLED."' WHERE quoteID = '$quoteID'");
    }

   public static function enableQuote($quoteID)
    {
     wm3Sql::sqlQuery("UPDATE ".WM3_cCONFIG_DB_PREFIX."_quotes SET enabled = '".WM3_cENABLED."' WHERE quoteID = '$quoteID'");
   	}
   
   public static function deleteQuote($quoteID)
    {
     wm3Sql::sqlQuery("DELETE FROM ".WM3_cCONFIG_DB_PREFIX."_quotes WHERE quoteID = '$quoteID'");
    }

   public static function selectZodiacSign($w3,$name,$signID)
    {
     // Make horoscope signs select
     $_LABELS = $w3->getLanguageObj()->getArrayZodiacSign(true);
     $_VALUES = array(1,2,3,4,5,6,7,8,9,10,11,12);
     return wm3Util::selectArray($name,$_LABELS,$_VALUES,$signID);
    }

   public static function renderHoroscope($w3)
    {
     // Render horoscope panel in home page
     $columns = 2; $buttons = 0;
     $base_link = WM3_cCONFIG_HOME_FILE."?stage=".$w3->getStage()."&section=".$w3->getSection();

     // Create list header
     $str = wm3Section::makeHeaderList($w3,array(),$columns);

     // Create horoscope panel     
     $link  = $base_link;//."&surveyID=$row->surveyID";
     $label = $w3->getWord(297);
     $select = wm3Horoscope::selectZodiacSign($w3,'sign','');
     $button    = "<div align=\"center\"><input type=\"submit\" name=\"send\" value=\"".$w3->getWord(296)."\"></div>";

     $str .= "<form name=\"wm3_form\" method=\"post\" action=\"$link&section=".WM3_cSECTION_HOME."&action=".WM3_cACTION_CONSULT_HOROSCOPE."\">";
     $str .= wm3Section::makeItemList($w3,0,array(0,100),array($label,$select),false);
     $str .= wm3Section::makeItemList($w3,0,array(100),array($button),false,"",array(2));
     $str .= "</form>";

     // Create list bottom
     $str .= wm3Section::makeBottomList($w3,$columns);

     return $str; 
    }

   public function existHoroscopeDaily($w3,$sign,$languageID)
    {
	 // Delete expired daily horoscopes
	 wm3Sql::sqlQuery("DELETE FROM ".WM3_cCONFIG_DB_PREFIX."_horoscopes_dailies WHERE expire_ts <= '".time()."'");

	 // Check if daily horoscope already exists
     $rs = wm3Sql::sqlQuery("SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_horoscopes_dailies WHERE sign = '$sign' AND languageID = '$languageID' ORDER BY ts LIMIT 1");
     if(mysql_num_rows($rs) == 1) { $row = mysql_fetch_object($rs); return $row->horoscopeID; }

     // If daily horoscope not exists then create a new one
     $rs = wm3Sql::sqlQuery("SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_horoscopes WHERE languageID = '$languageID' AND enabled = '".WM3_cENABLED."' ORDER BY RAND() LIMIT 1");
     if(mysql_num_rows($rs) != 1) return 0;
	 $row = mysql_fetch_object($rs); 
	 $ts = time();
	 $ts_next_day = mktime(0,0,0,date("n",$ts+86400),date("j",$ts+86400),date("Y",$ts+86400));
	 $_FIELD['horoscope_dailyID'] = '';
	 $_FIELD['horoscopeID']       = $row->horoscopeID;
	 $_FIELD['sign']              = $sign;
	 $_FIELD['expire_ts']         = $ts_next_day;
	 $_FIELD['enabled']           = WM3_cENABLED;
	 $_FIELD['languageID']        = $languageID;
	 $_FIELD['ts']                = $ts;
	 wm3Sql::saveAllTableFields('_horoscopes_dailies',$_FIELD);
     return $row->horoscopeID;
	}

   public function renderHoroscopeConsult($w3)
    {
     // Render horoscope consult in home page
     $columns = 2; $buttons = 0;
	 $sign = intval($w3->getVariable('sign','post'));
	 if($sign < 1 || $sign > 12) $sign = 1;

     // Get daily horoscope if already exists or create a new one
	 wm3Sql::sqlQuery("LOCK TABLES ".WM3_cCONFIG_DB_PREFIX."_horoscopes         WRITE,
	                               ".WM3_cCONFIG_DB_PREFIX."_horoscopes_dailies WRITE");
	 $daily_horoscopeID = wm3Horoscope::existHoroscopeDaily($w3,$sign,$w3->getHomeLanguage());

     // Do the query and take the total items number
     $query = "SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_horoscopes WHERE horoscopeID = '$daily_horoscopeID'";
     $rs = wm3Sql::sqlQuery($query); // Do the query without "limit"
     $total_items = mysql_num_rows($rs);
     wm3Sql::sqlQuery("UNLOCK TABLES");

     // Create list header
     $_CONTENTS = array(); $_WIDTHS = array();
     $str = wm3Section::makeHeaderList($w3,$_CONTENTS,$columns);

     // Check if there are any items (and exit with a message if there are 0 items)
     if($total_items == 0) return $str.wm3Section::makeEmptyItemsList($w3,$columns,939);

     // Create horoscope consult
	 $_WIDTHS = array(0,100);
     $row = mysql_fetch_object($rs);	 
	 $sign_name  = $w3->getWordZodiacSign($sign);
	 $sign_image = wm3Util::renderImg("zodiac_sign_$sign.png",$sign_name,64,64,WM3_cPATH_DATA)."</a>";
	 $sign_info  = $w3->getWordZodiacSign($sign,true);
     $horoscope  = "<br>".wm3Util::renderContent($w3,$row->message,$row->render_mode);
	 
	 $_CONTENTS = array($sign_image,"<b>$sign_name</b><br><i>($sign_info)</i>");
	 $str .= wm3Section::makeItemList($w3,0,$_WIDTHS,$_CONTENTS,false);

	 $_CONTENTS = array($w3->getWord(237),wm3Util::makeStars($w3,$row->p1));
	 $str .= wm3Section::makeItemList($w3,1,$_WIDTHS,$_CONTENTS,false);
	 $_CONTENTS = array($w3->getWord(238),wm3Util::makeStars($w3,$row->p2));
	 $str .= wm3Section::makeItemList($w3,0,$_WIDTHS,$_CONTENTS,false);
	 $_CONTENTS = array($w3->getWord(239),wm3Util::makeStars($w3,$row->p3));
	 $str .= wm3Section::makeItemList($w3,1,$_WIDTHS,$_CONTENTS,false);
	 $_CONTENTS = array($w3->getWord(240),wm3Util::makeStars($w3,$row->p4));
	 $str .= wm3Section::makeItemList($w3,0,$_WIDTHS,$_CONTENTS,false);
	 $_CONTENTS = array($w3->getWord(241),wm3Util::makeStars($w3,$row->p5));
	 $str .= wm3Section::makeItemList($w3,1,$_WIDTHS,$_CONTENTS,false);

	 $_CONTENTS = array($horoscope); $_WIDTHS = array(100);
     $str .= wm3Section::makeItemList($w3,0,$_WIDTHS,$_CONTENTS,false,"",array(2));

     // Create list bottom
     $str .= wm3Section::makeBottomList($w3,$columns);

     return $str;
    }

   public static function renderFortune($w3)
    {
     // Render fortune panel with a random quote (for home page)
     $columns = 1; $buttons = 0;

     // Do the query and take the total items number
     $query = "SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_quotes
                        WHERE enabled = '".WM3_cENABLED."' AND languageID='".$w3->getHomeLanguage()."'
                        ORDER BY RAND() LIMIT 1";
     $rs = wm3Sql::sqlQuery($query);
     $total_items = mysql_num_rows($rs);

     // Create list header
     $str = wm3Section::makeHeaderList($w3,array(),array());

     // Check if there are any items (and exit with a message if there are 0 items)
     if($total_items == 0) return $str.wm3Section::makeEmptyItemsList($w3,$columns,1612);

     // Create survey question and answers
     $row = mysql_fetch_object($rs);
     $quote = wm3Util::renderContent($w3,$row->quote,$row->render_mode);
     $str .= wm3Section::makeItemList($w3,0,array(100),array($quote),false);
     $info = "<div align=\"right\"><i>";
     if($row->author)
      {
       if($row->author_url) $info .= "<a href=\"$row->author_url\" target=\"_blank\">".$row->author."</a>";
       else                 $info .= $row->author;
       if($row->year) $info .= " ($row->year)";
       if($row->occupation) $info .= ", ".$row->occupation;
      }
     $info .= "</i></div>";
     $str .= wm3Section::makeItemList($w3,0,array(100),array($info),false);

     // Create list bottom
     $str .= wm3Section::makeBottomList($w3,$columns);

     return $str;
    }

  }

?>
