<?php

 // THIS FILE IS PART OF WEBMATIC3 (Webmatic cube)
 // www.valarsoft.com

 defined('WM3_cEXEC') or die('Denied');

 class wm3Language
  {
   private $_WORD;
   
   function __construct($languageID,$setup = false)
    {
     if($setup) $this->getSetupLanguageFile($languageID);
	 else       $this->getLanguageFile($languageID);
    }

   public static function getLanguageFieldsArray()
    {
     return array(); // TODO
    }

   public static function writeCookieHomeLanguageID($languageID = 0)
    {
     if(!isset($_COOKIE['home_languageID']))
      {
       setcookie("home_languageID",WM3_cCONFIG_STARTING_LANGUAGE,time()+3600*24*365); // Default home language
       return WM3_cCONFIG_STARTING_LANGUAGE;
      }
     else 
      {
	   if($_COOKIE['home_languageID'] < WM3_cLANGUAGE_EN || $_COOKIE['home_languageID'] > WM3_cLANGUAGE_NL)
	    {
		 // Rewrite bad cookies
		 setcookie("home_languageID",WM3_cCONFIG_STARTING_LANGUAGE,time()+3600*24*365);
		 return $_COOKIE['home_languageID'];
		}
       if($languageID != 0)
        {
         setcookie("home_languageID",$languageID,time()+3600*24*365); // New selected language
         return $languageID;
        }
      }
     return $_COOKIE['home_languageID'];
    }

   public static function writeCookieAdminLanguageID($languageID = 0)
    {
     if(!isset($_COOKIE['admin_languageID']))
      {
       setcookie("admin_languageID",WM3_cCONFIG_STARTING_LANGUAGE,time()+3600*24*365); // Default admin language
       return WM3_cCONFIG_STARTING_LANGUAGE;
      }
     else 
      {
	   if($_COOKIE['admin_languageID'] < WM3_cLANGUAGE_EN || $_COOKIE['admin_languageID'] > WM3_cLANGUAGE_NL)
	    {
		 // Rewrite bad cookies
		 setcookie("admin_languageID",WM3_cCONFIG_STARTING_LANGUAGE,time()+3600*24*365);
		 return $_COOKIE['admin_languageID'];
		}
       if($languageID != 0)
        {
         setcookie("admin_languageID",$languageID,time()+3600*24*365); // New selected language
         return $languageID;
        }
      }
     return $_COOKIE['admin_languageID'];
    }

   public static function writeCookiePreferencesLanguageID($languageID = 0)
    {
     if(!isset($_COOKIE['preferences_languageID']))
      {
       setcookie("preferences_languageID",WM3_cCONFIG_STARTING_LANGUAGE,time()+3600*24*365); // Default preferences language (for admin section)
       return WM3_cCONFIG_STARTING_LANGUAGE;
      }
     else 
      {
	   if($_COOKIE['preferences_languageID'] < WM3_cLANGUAGE_EN || $_COOKIE['preferences_languageID'] > WM3_cLANGUAGE_NL)
	    {
		 // Rewrite bad cookies
		 setcookie("preferences_languageID",WM3_cCONFIG_STARTING_LANGUAGE,time()+3600*24*365);
		 return $_COOKIE['preferences_languageID'];
		}
       if($languageID != 0)
        {
         setcookie("preferences_languageID",$languageID,time()+3600*24*365); // New selected language
         return $languageID;
        }
      }
     return $_COOKIE['preferences_languageID'];
    }

   public static function getFormPanel($languageID,$n)
    {
     // Make language selection form for panel
     $rs = wm3Sql::sqlQuery("SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_languages
                             WHERE enabled='".WM3_cENABLED."'");
     $str = ""; 
     while($row = mysql_fetch_object($rs))
      {
       if($row->languageID == $languageID) $check = "checked"; else $check = "";
       $str .= "<tr><td><div align=\"center\"><img src=\"".WM3_cPATH_DATA.$row->flag."\" width=\"19\" height=\"13\" border=\"1\"></div></td>
                <td><div align=\"center\">".wm3Util::inputRadio($n,$row->languageID,$check)."</div></td>
                <td><div class=\"bTxt\">".$row->name."</div></td></tr>";
      }
     return $str;
    }

   public static function selectLanguage($w3,$name,$languageID,$all = false)
    {
     // Make language select
     $rs = wm3Sql::sqlQuery("SELECT * FROM ".WM3_cCONFIG_DB_PREFIX."_languages
                             WHERE enabled = '".WM3_cENABLED."'");
     if(mysql_num_rows($rs) == 0) $str = ""; else $str = "<select name=\"$name\">";
	 if($all) $str .= wm3Util::inputOption($w3->getWord(1574),WM3_cLANGUAGE_ALL);
     while($row = mysql_fetch_object($rs))
      {
       if($row->languageID == $languageID) $str .= wm3Util::inputOption($row->name,$row->languageID,"selected");
       else                                $str .= wm3Util::inputOption($row->name,$row->languageID);
      }
     $str .= "</select>";
     return $str;
    }

   public static function selectSetupLanguage($w3,$name,$languageID)
    {
     // Make setup language select
     $_DATA = array('English','Italiano','Français','Deutsch','Español','Nederlands');

	 $str = "<select name=\"$name\">";
     for($i = 0; $i < count($_DATA); $i++)
      {
       if($i+1 == $languageID) $str .= wm3Util::inputOption($_DATA[$i],$i+1,"selected");
       else                    $str .= wm3Util::inputOption($_DATA[$i],$i+1);
      }
     $str .= "</select>";
     return $str;
    }

   public static function getFlag($languageID)
    {
	 if($languageID == WM3_cLANGUAGE_ALL) return "flag_all.png";
     $rs = wm3Sql::sqlQuery("SELECT flag FROM ".WM3_cCONFIG_DB_PREFIX."_languages
                             WHERE languageID= '$languageID'");
     $row = mysql_fetch_object($rs);
     return  $row->flag;
    }

   public static function getName($languageID)
    {
     $rs = wm3Sql::sqlQuery("SELECT name FROM ".WM3_cCONFIG_DB_PREFIX."_languages
                             WHERE languageID='$languageID'");
     $row = mysql_fetch_object($rs);
     return  $row->name;
    }

   public static function getFile($languageID)
    {
     $rs = wm3Sql::sqlQuery("SELECT file FROM ".WM3_cCONFIG_DB_PREFIX."_languages
                             WHERE languageID='$languageID'");
	 if(mysql_num_rows($rs) != 1) return "language_en.php";
     $row = mysql_fetch_object($rs);
     return  $row->file;
    }

   public function getLanguageFile($languageID)
    {
     require(WM3_cPATH_LANGUAGES."language_en.php"); // Default language if other language do not exists
	 if($languageID != WM3_cLANGUAGE_EN)
	  {
	   $language_file = WM3_cPATH_LANGUAGES.wm3Language::getFile($languageID);
	   if(file_exists($language_file)) require($language_file);
      }
    }

   public function getSetupLanguageFile($languageID)
    {
     require(WM3_cPATH_LANGUAGES."language_en.php"); // Default language if other language do not exists
	 if($languageID == WM3_cLANGUAGE_IT) if(file_exists(WM3_cPATH_LANGUAGES."language_it.php")) require(WM3_cPATH_LANGUAGES."language_it.php");
	 if($languageID == WM3_cLANGUAGE_FR) if(file_exists(WM3_cPATH_LANGUAGES."language_fr.php")) require(WM3_cPATH_LANGUAGES."language_fr.php");
	 if($languageID == WM3_cLANGUAGE_DE) if(file_exists(WM3_cPATH_LANGUAGES."language_de.php")) require(WM3_cPATH_LANGUAGES."language_de.php");
	 if($languageID == WM3_cLANGUAGE_ES) if(file_exists(WM3_cPATH_LANGUAGES."language_es.php")) require(WM3_cPATH_LANGUAGES."language_es.php");
	 if($languageID == WM3_cLANGUAGE_NL) if(file_exists(WM3_cPATH_LANGUAGES."language_nl.php")) require(WM3_cPATH_LANGUAGES."language_nl.php");
    }

   public function translate($s)
    {
     // Translate some words from category panels and pages
     if($s == "PANEL_MESSAGES") 	  return $this->_WORD_CATEGORY[0];
     if($s == "PANEL_LOGIN") 		  return $this->_WORD_CATEGORY[1];
     if($s == "PANEL_CHANNELS") 	  return $this->_WORD_CATEGORY[2];
     if($s == "PANEL_SEARCH") 		  return $this->_WORD_CATEGORY[3];
     if($s == "PANEL_HOROSCOPE") 	  return $this->_WORD_CATEGORY[4];
     if($s == "PANEL_NEWSLETTER") 	  return $this->_WORD_CATEGORY[5];
     if($s == "PANEL_SEND_TO_FRIEND") return $this->_WORD_CATEGORY[6];
     if($s == "PANEL_LANGUAGES") 	  return $this->_WORD_CATEGORY[7];
     if($s == "PANEL_ECOMMERCE") 	  return $this->_WORD_CATEGORY[16];
     if($s == "PANEL_SURVEY") 	 	  return $this->_WORD_CATEGORY[18];
     if($s == "PANEL_FORTUNE")		  return $this->_WORD_CATEGORY[30];
     if($s == "PANEL_RSS_FEEDS")	  return $this->_WORD_CATEGORY[31];
     if($s == "PANEL_BIRTHDAY")  	  return $this->_WORD_CATEGORY[32];
     if($s == "PANEL_SPECIAL_OFFER")  return $this->_WORD_CATEGORY[33];
     if($s == "PANEL_CUSTOM")  		  return $this->_WORD_CATEGORY[35];
	 if($s == "PANEL_EXPANSION")	  return $this->_WORD_CATEGORY[36];

     if($s == "PAGE_MARKET") 	    	return $this->_WORD_CATEGORY[11];
     if($s == "PAGE_FAQ") 			    return $this->_WORD_CATEGORY[12];
     if($s == "PAGE_SEARCH_ENGINE") 	return $this->_WORD_CATEGORY[13];
     if($s == "PAGE_USER_REGISTRATION") return $this->_WORD_CATEGORY[14];
     if($s == "PAGE_LINKS") 			return $this->_WORD_CATEGORY[15];
     if($s == "PAGE_STATISTICS") 	    return $this->_WORD_CATEGORY[17];
     if($s == "PAGE_USER_INFORMATIONS") return $this->_WORD_CATEGORY[19];
     if($s == "PAGE_FORUMS")			return $this->_WORD_CATEGORY[21];
     if($s == "PAGE_DOWNLOADS")		    return $this->_WORD_CATEGORY[22];
     if($s == "PAGE_GUESTBOOKS")        return $this->_WORD_CATEGORY[23];
     if($s == "PAGE_DIRECTORIES")       return $this->_WORD_CATEGORY[24];
     if($s == "PAGE_MEDIA_ALBUMS")		return $this->_WORD_CATEGORY[25];
     if($s == "PAGE_CONTACT")		    return $this->_WORD_CATEGORY[26];
     if($s == "PAGE_CHAT")			    return $this->_WORD_CATEGORY[28];
     if($s == "PAGE_WEBMAIL")		    return $this->_WORD_CATEGORY[29];
     if($s == "PAGE_CUSTOM")            return $this->_WORD_CATEGORY[34];
     if($s == "PAGE_EXPANSION")         return $this->_WORD_CATEGORY[36];

     if($s == "MENU_BAR_ITEM_CHANNEL")  return $this->_WORD_CATEGORY[8];
     if($s == "MENU_BAR_ITEM_HOME")     return $this->_WORD_CATEGORY[9];
     if($s == "MENU_BAR_ITEM_ADMIN")    return $this->_WORD_CATEGORY[10];
     if($s == "MENU_BAR_ITEM_USER")     return $this->_WORD_CATEGORY[20];
     if($s == "MENU_BAR_ITEM_EXTERNAL") return $this->_WORD_CATEGORY[27];
	 if($s == "MENU_BAR_ITEM_CUSTOM")   return $this->_WORD_CATEGORY[34];

     return $s;
    }

   public function getWord($i) { if($i >= 0) return $this->_WORD[$i]; else return; }
   
   public function getWordCategory($i) { return $this->_WORD_CATEGORY[$i]; }

   public function getArrayMonth() { return $this->_MONTH; }

   public function getArrayDayOfTheWeek() { return $this->_DAY_OF_THE_WEEK; }

   public function getArrayZodiacSign($name_only = false)
    {
	 if($name_only)
	  {
	   $array = array();
	   for($i = 0; $i < 12; $i++) array_push($array,$this->_ZODIAC_SIGN[$i][0]);
	   return $array;
      }
	 else return $this->_ZODIAC_SIGN;
	}

  }

?>
